Index: branches/v2_0_0_prep/build/projects/gvsig-standard/gvsig-standard-installer/src/main/installjammer/gvsig-standard-installer.mpi
===================================================================
--- branches/v2_0_0_prep/build/projects/gvsig-standard/gvsig-standard-installer/src/main/installjammer/gvsig-standard-installer.mpi	(revision 38251)
+++ branches/v2_0_0_prep/build/projects/gvsig-standard/gvsig-standard-installer/src/main/installjammer/gvsig-standard-installer.mpi	(revision 38252)
@@ -15,7 +15,7 @@
 {Yes}
 
 BaseDir
-{/home/cordin/projects/gvsig/svn/gvSIG-2.0-build-2046/build/product}
+{C:\dev\ew\gv2standard\build\product}
 
 BuildFailureAction
 {Fail (recommended)}
@@ -56,6 +56,9 @@
 DefaultToSystemLanguage
 {Yes}
 
+DevelState
+{cambiame}
+
 EnableResponseFiles
 {Yes}
 
@@ -2193,9 +2196,9 @@
 File ::E04E706A-8535-C4B3-4A72-FBBD2539A075 -type dir -name org.gvsig.daltransform.app.mainplugin -active 0 -parent E2F3FCEE-FF31-8CFB-2964-1BC846EFB15A
 File ::A4A3F494-A9DF-F0AE-FC12-85C1229CEAEA -name gvSIG-desktop-2.0.0-org.gvsig.daltransform.app.mainplugin-2.0.0-2041-devel-all-all-j1_5.gvspki -active 0 -parent E04E706A-8535-C4B3-4A72-FBBD2539A075
 File ::A544D441-3384-CD77-57BC-726DB777A6DB -name gvSIG-desktop-2.0.0-org.gvsig.daltransform.app.mainplugin-2.0.0-2041-devel-all-all-j1_5.gvspkg -active 0 -parent E04E706A-8535-C4B3-4A72-FBBD2539A075
-File ::59F6CFE3-5497-B34B-27E1-A63BB5A21480 -name prepare-upload-packages.sh -parent B9360381-0809-6F6E-1853-A77EEED4D00C
-File ::92ED3767-AEA7-6AA3-623B-8F902D72E5AD -name upload.tar.gz -parent B9360381-0809-6F6E-1853-A77EEED4D00C
-File ::BBBBD3D3-1380-60BF-ACED-13D171FAC849 -type dir -name build.2022 -parent B9360381-0809-6F6E-1853-A77EEED4D00C
+File ::59F6CFE3-5497-B34B-27E1-A63BB5A21480 -name prepare-upload-packages.sh -active 0 -parent B9360381-0809-6F6E-1853-A77EEED4D00C
+File ::92ED3767-AEA7-6AA3-623B-8F902D72E5AD -name upload.tar.gz -active 0 -parent B9360381-0809-6F6E-1853-A77EEED4D00C
+File ::BBBBD3D3-1380-60BF-ACED-13D171FAC849 -type dir -name build.2022 -active 0 -parent B9360381-0809-6F6E-1853-A77EEED4D00C
 File ::75D07803-218D-D53E-AFF9-D49B5CB05AF2 -name create-package-index.sh -parent BBBBD3D3-1380-60BF-ACED-13D171FAC849
 File ::4D4DFF64-9874-CDDD-BE04-7A304BB90AAE -name gvSIG-desktop-2.0.0-2022-plugins-alpha1-all-all-j1_5.gvspks -parent BBBBD3D3-1380-60BF-ACED-13D171FAC849
 File ::B871898B-05B7-FF99-C2DC-B3A5D7ECFF8F -name gvSIG-desktop-2.0.0-org.gvsig.annotation.app.extension-1.0.0-SNAPSHOT-2022-devel-all-all-j1_5.gvspkg -parent BBBBD3D3-1380-60BF-ACED-13D171FAC849
@@ -2367,7 +2370,7 @@
 File ::1F237D9B-4AC8-0AB7-BC94-1285F29DA451 -name gvSIG-desktop-2.0.0-org.gvsig.wfs-2.0-SNAPSHOT-2022-devel-all-all-j1_5.gvspkg -parent C8923929-97B3-0C49-DBD1-D38489590598
 File ::0FF7E003-20D8-6869-7000-4D3296F60530 -type dir -name org.gvsig.wms -parent 0BED33DF-ABB2-5850-4996-F54511C7BC91
 File ::09A2D4E9-78B5-7D14-0C27-7102A62BA248 -name gvSIG-desktop-2.0.0-org.gvsig.wms-2.0-SNAPSHOT-2022-devel-all-all-j1_5.gvspkg -parent 0FF7E003-20D8-6869-7000-4D3296F60530
-File ::51D4E351-38D0-B1D6-12E4-B97FF8BE5FFA -type dir -name build.2023 -parent B9360381-0809-6F6E-1853-A77EEED4D00C
+File ::51D4E351-38D0-B1D6-12E4-B97FF8BE5FFA -type dir -name build.2023 -active 0 -parent B9360381-0809-6F6E-1853-A77EEED4D00C
 File ::AFFE13CA-80BF-05B7-DCB2-799ECD81D3F0 -name create-package-index.sh -parent 51D4E351-38D0-B1D6-12E4-B97FF8BE5FFA
 File ::FF4101EE-5024-3028-4382-710A8A59277C -name gvSIG-desktop-2.0.0-2023-devel-lin-x86-j1_5.bin -parent 51D4E351-38D0-B1D6-12E4-B97FF8BE5FFA
 File ::DD555EC6-F6D8-EFB3-7240-999346620802 -name gvSIG-desktop-2.0.0-2023-devel-win-x86-j1_5.exe -parent 51D4E351-38D0-B1D6-12E4-B97FF8BE5FFA
@@ -2474,7 +2477,7 @@
 File ::4126093F-0C3B-D912-033E-D4F20EB3F0E1 -name gvSIG-desktop-2.0.0-org.gvsig.wfs-2.0-SNAPSHOT-2023-devel-all-all-j1_5.gvspkg -parent 31A45E3E-9535-DEB0-C6C1-40B7040F68AD
 File ::DD3E6459-3FD0-BCAB-DDEA-0C3722F18C2F -type dir -name org.gvsig.wms -parent 2B84C11C-8650-DF29-E06D-CECD0ABA68F5
 File ::B2E29B71-4F0B-225F-9B22-A0FC0F1A6FD0 -name gvSIG-desktop-2.0.0-org.gvsig.wms-2.0-SNAPSHOT-2023-devel-all-all-j1_5.gvspkg -parent DD3E6459-3FD0-BCAB-DDEA-0C3722F18C2F
-File ::96739955-7205-6734-3CD7-9E18DE4F502B -type dir -name build.2024 -parent B9360381-0809-6F6E-1853-A77EEED4D00C
+File ::96739955-7205-6734-3CD7-9E18DE4F502B -type dir -name build.2024 -active 0 -parent B9360381-0809-6F6E-1853-A77EEED4D00C
 File ::6CD1EDC2-2F13-F2D7-BEEA-8470B7D73E91 -name gvSIG-desktop-2.0.0-org.gvsig.annotation.app.extension-1.0.0-SNAPSHOT-2024-devel-all-all-j1_5.gvspkg -parent 96739955-7205-6734-3CD7-9E18DE4F502B
 File ::89FB60EE-D775-9DE6-007B-CF8A0FCDA9C3 -name gvSIG-desktop-2.0.0-org.gvsig.annotation.app.extension-1.0.0-SNAPSHOT-2024-devel-all-all-j1_5.gvspki -parent 96739955-7205-6734-3CD7-9E18DE4F502B
 File ::40F261C6-1488-5F85-8903-DF707150431E -name gvSIG-desktop-2.0.0-org.gvsig.app-2.0-SNAPSHOT-2024-devel-all-all-j1_5.gvspkg -parent 96739955-7205-6734-3CD7-9E18DE4F502B
@@ -2616,7 +2619,7 @@
 File ::20A81C0A-69B0-9F81-7238-A803035E857D -name gvSIG-desktop-2.0.0-org.gvsig.wfs-2.0-SNAPSHOT-2024-devel-all-all-j1_5.gvspkg -parent A91F8DAC-CB11-588B-99B1-F49125A6ACAC
 File ::1B7CC230-B5FC-8226-669C-AD5DCB66A15A -type dir -name org.gvsig.wms -parent FEC4D93E-FD1F-AA00-2E44-575C2D8B9203
 File ::6717DC20-9C53-9CF0-C829-45FBE01B805B -name gvSIG-desktop-2.0.0-org.gvsig.wms-2.0-SNAPSHOT-2024-devel-all-all-j1_5.gvspkg -parent 1B7CC230-B5FC-8226-669C-AD5DCB66A15A
-File ::F98C10BD-9CDA-F225-4861-4ACC72748447 -type dir -name build.2025 -parent B9360381-0809-6F6E-1853-A77EEED4D00C
+File ::F98C10BD-9CDA-F225-4861-4ACC72748447 -type dir -name build.2025 -active 0 -parent B9360381-0809-6F6E-1853-A77EEED4D00C
 File ::4F0A911F-44B9-1995-0E37-DF3668F67CA4 -name prepare-upload-packages.sh -parent F98C10BD-9CDA-F225-4861-4ACC72748447
 File ::4AB7459F-1552-0BF6-367B-221C5A97C7C4 -type dir -name installers -parent F98C10BD-9CDA-F225-4861-4ACC72748447
 File ::A48E67E7-01C9-64C2-4052-6FB8154F1EA4 -name gvSIG-desktop-2.0.0-2025-devel-lin-x86-j1_5.bin -parent 4AB7459F-1552-0BF6-367B-221C5A97C7C4
@@ -2724,13 +2727,13 @@
 File ::142657DD-2415-478E-F678-A8E1D636412C -type dir -name org.gvsig.wms -parent 0D4EC8A6-F9A3-C804-36BE-10257C94029A
 File ::BC386777-89DA-91F8-079F-887770615BD7 -name gvSIG-desktop-2.0.0-org.gvsig.wms-2.0-SNAPSHOT-2025-devel-all-all-j1_5.gvspkg -parent 142657DD-2415-478E-F678-A8E1D636412C
 File ::C7E8AF7A-592E-748A-1978-18469DB378A7 -name gvSIG-desktop-2.0.0-org.gvsig.wms-2.0-SNAPSHOT-2025-devel-all-all-j1_5.gvspki -parent 142657DD-2415-478E-F678-A8E1D636412C
-File ::BC7B1C4E-5A6A-56A6-4C1C-17B07240E6CA -type dir -name build.2028 -parent B9360381-0809-6F6E-1853-A77EEED4D00C
+File ::BC7B1C4E-5A6A-56A6-4C1C-17B07240E6CA -type dir -name build.2028 -active 0 -parent B9360381-0809-6F6E-1853-A77EEED4D00C
 File ::822A942A-A178-7CA7-D0FB-BCEB301EFC9B -name gvSIG-desktop-2.0.0-2028-devel-all-all-j1_5.gvspks -parent BC7B1C4E-5A6A-56A6-4C1C-17B07240E6CA
 File ::29590D8E-6775-9A4D-B2DB-0611D956B1A9 -name gvSIG-desktop-2.0.0-2028-devel-lin-x86-j1_5.bin -parent BC7B1C4E-5A6A-56A6-4C1C-17B07240E6CA
 File ::2E234DF3-94EA-7121-205C-D04AB7C6CDE4 -name main.tcl -parent BC7B1C4E-5A6A-56A6-4C1C-17B07240E6CA
 File ::1389A27A-C304-0E26-3960-70635D4A3C53 -type dir -name out -parent BC7B1C4E-5A6A-56A6-4C1C-17B07240E6CA
 File ::BCF66FF4-E356-3F29-1970-7799484920E9 -name package.gvspks -parent 1389A27A-C304-0E26-3960-70635D4A3C53
-File ::6B66C976-AA45-28C1-8934-6392AA4B0AE8 -type dir -name build.2029-test -parent B9360381-0809-6F6E-1853-A77EEED4D00C
+File ::6B66C976-AA45-28C1-8934-6392AA4B0AE8 -type dir -name build.2029-test -active 0 -parent B9360381-0809-6F6E-1853-A77EEED4D00C
 File ::19F23508-9F7B-A4F8-DC9A-16E1D36801A2 -name {Copy of main.tcl} -parent 6B66C976-AA45-28C1-8934-6392AA4B0AE8
 File ::F34C7852-B4E7-A108-AA0A-ED8D19ED0DA0 -name gvSIG-desktop-2.0.0-2031-devel-all-all-j1_5.gvspks -parent 6B66C976-AA45-28C1-8934-6392AA4B0AE8
 File ::44A99DD4-C48F-A732-70C5-38B04888BB11 -name gvSIG-desktop-2.0.0-2031-devel-win-x86-online.exe -parent 6B66C976-AA45-28C1-8934-6392AA4B0AE8
@@ -2753,8 +2756,8 @@
 File ::242BB069-4AFA-D1A0-A295-CC8B0AFBA44D -name castor-0.9.5.3.jar -parent 4EAF94C7-6494-4DEA-3A6A-B3F605D352C5
 File ::93C37A23-44A3-B376-A758-661A044A2CD4 -name flib-jcalendar-unknown.jar -parent 4EAF94C7-6494-4DEA-3A6A-B3F605D352C5
 File ::313FBFA0-FD06-A8E9-9178-112A2AB773E9 -name javahelp-2.0.05.jar -parent 4EAF94C7-6494-4DEA-3A6A-B3F605D352C5
-File ::C5FD4A37-A539-C157-F7CF-3663CECC5E2F -name jcommon-1.0.12.jar -parent 4EAF94C7-6494-4DEA-3A6A-B3F605D352C5
-File ::3288F72B-0B2E-D846-35D0-E189BEC57D38 -name jfreechart-1.0.7.jar -parent 4EAF94C7-6494-4DEA-3A6A-B3F605D352C5
+File ::C5FD4A37-A539-C157-F7CF-3663CECC5E2F -name jcommon-1.0.12.jar -active 0 -parent 4EAF94C7-6494-4DEA-3A6A-B3F605D352C5
+File ::3288F72B-0B2E-D846-35D0-E189BEC57D38 -name jfreechart-1.0.7.jar -active 0 -parent 4EAF94C7-6494-4DEA-3A6A-B3F605D352C5
 File ::0B6185BB-869A-B075-9584-10B4F5477FB5 -name jwizardcomponent-1.2.2.jar -parent 4EAF94C7-6494-4DEA-3A6A-B3F605D352C5
 File ::4A38453E-64E9-165A-0C18-04BF6FC2292E -name kxml2-2.2.2.jar -parent 4EAF94C7-6494-4DEA-3A6A-B3F605D352C5
 File ::ED6EB906-399D-851C-F04B-2AD91691B34A -name log4j-1.2.14.jar -parent 4EAF94C7-6494-4DEA-3A6A-B3F605D352C5
@@ -2788,6 +2791,12 @@
 File ::1AFCAFB2-2763-1C90-2EBB-30D057AB6026 -name commons-codec-1.6.jar -parent 4EAF94C7-6494-4DEA-3A6A-B3F605D352C5
 File ::B47E0081-EACB-D709-53BE-77043FE21736 -name jts-1.9.jar -parent 4EAF94C7-6494-4DEA-3A6A-B3F605D352C5
 File ::5408310B-9505-07C7-98EB-F956A32249BB -name org.gvsig.external.jump-1.0.0-SNAPSHOT.jar -parent 4EAF94C7-6494-4DEA-3A6A-B3F605D352C5
+File ::CC4EA182-F157-456B-902A-23D7D44EA72C -name bcmail-jdk14-138.jar -parent 4EAF94C7-6494-4DEA-3A6A-B3F605D352C5
+File ::33EA39F7-1045-4DBC-B3B2-F0ECD5139A74 -name bcprov-jdk14-138.jar -parent 4EAF94C7-6494-4DEA-3A6A-B3F605D352C5
+File ::A5214C35-83F1-4E30-BB19-9A93C280EEFB -name itext-2.1.4.jar -parent 4EAF94C7-6494-4DEA-3A6A-B3F605D352C5
+File ::FB708C70-181B-49B2-8128-815E11A1151C -name jcommon-1.0.17.jar -parent 4EAF94C7-6494-4DEA-3A6A-B3F605D352C5
+File ::CB007EE8-A326-4B1D-B76C-7CC8680E26E7 -name jfreechart-1.0.14.jar -parent 4EAF94C7-6494-4DEA-3A6A-B3F605D352C5
+File ::91327B99-99CF-4F48-AA11-5E47B5683011 -name xml-apis-1.3.04.jar -parent 4EAF94C7-6494-4DEA-3A6A-B3F605D352C5
 File ::64014BF7-5469-B7CA-BD8D-52EEC3C40F7F -type dir -name theme -parent 1B718456-0AF4-8BDF-A1ED-E17D27781AD8
 File ::53BF5E12-AEDE-01F4-E59D-87B2442AAAAB -name andami-theme.xml -parent 64014BF7-5469-B7CA-BD8D-52EEC3C40F7F
 File ::CA84D465-C35B-4103-F9B7-2B9A5D11A3D2 -name icon.png -parent 64014BF7-5469-B7CA-BD8D-52EEC3C40F7F
@@ -2810,6 +2819,7 @@
 File ::F72E251C-5FE3-539B-48D2-ED89A9BEE6CA -name jecw2.0.0.dll -active 0 -parent 1B718456-0AF4-8BDF-A1ED-E17D27781AD8
 File ::6878A907-B91D-DE25-4D15-3773BE6C228C -name ico-gvSIG.png -parent 1B718456-0AF4-8BDF-A1ED-E17D27781AD8
 File ::8F7AD1A2-ECEE-7A48-2804-A0E220CE8FDB -type dir -name i18n -parent 1B718456-0AF4-8BDF-A1ED-E17D27781AD8
+File ::E548085E-94D5-4C1E-8298-F9652E45903D -name gvsig-package-installer.l4j.ini -active 0 -parent 1B718456-0AF4-8BDF-A1ED-E17D27781AD8
 FileGroup ::3FCCA384-2783-D981-2506-3A9F5DBE3E9B -setup Install -active Yes -platforms {Linux-x86 Linux-x86_64 TarArchive} -name {Linux i386} -parent FileGroups
 File ::F354386B-F812-1B20-D9C2-B49AD74BCD22 -type dir -directory <%InstallDir%> -name /home/cordin/projects/gvsig/svn/gvSIG-2.0-build/build/product -location <%BaseDir%> -parent 3FCCA384-2783-D981-2506-3A9F5DBE3E9B
 File ::794D7515-B909-9206-87C5-42A46B461651 -name build.xml -active 0 -parent F354386B-F812-1B20-D9C2-B49AD74BCD22
@@ -4709,6 +4719,7 @@
 File ::6D758E85-7FFF-A54B-6D2D-4ADEE852BE0C -name jecw2.0.0.dll -active 0 -parent F354386B-F812-1B20-D9C2-B49AD74BCD22
 File ::3FBAFA7F-6474-D3D0-3DBB-E398DC8C7116 -name ico-gvSIG.png -active 0 -parent F354386B-F812-1B20-D9C2-B49AD74BCD22
 File ::E2171CFF-ECF6-2285-6135-888B7AA9D0C7 -type dir -name i18n -active 0 -parent F354386B-F812-1B20-D9C2-B49AD74BCD22
+File ::9770E67A-AC2E-45D7-95AD-D14705CF0053 -name gvsig-package-installer.l4j.ini -active 0 -parent F354386B-F812-1B20-D9C2-B49AD74BCD22
 FileGroup ::F3B4EEE1-118B-7F0B-FC8A-1BD5B7F8AD6D -setup Install -active Yes -platforms {Windows ZipArchive} -name {Windows i386} -parent FileGroups
 File ::D5CF40F1-DF9D-1E2D-FBFC-DFFA740AF249 -type dir -directory <%InstallDir%> -name /home/cordin/projects/gvsig/svn/gvSIG-2.0-build/build/product -location <%BaseDir%> -parent F3B4EEE1-118B-7F0B-FC8A-1BD5B7F8AD6D
 File ::746632FC-C774-CC87-01EA-75B65EB0F2D7 -name build.xml -active 0 -parent D5CF40F1-DF9D-1E2D-FBFC-DFFA740AF249
@@ -6572,6 +6583,7 @@
 File ::AE35ED74-8E70-50D5-627E-0AAE5A488980 -name jecw2.0.0.dll -active 0 -parent D5CF40F1-DF9D-1E2D-FBFC-DFFA740AF249
 File ::C55170CF-0124-CFFA-E853-3BC360732CCA -name ico-gvSIG.png -active 0 -parent D5CF40F1-DF9D-1E2D-FBFC-DFFA740AF249
 File ::1B33D2F3-A54C-9002-184F-72822D9C3E71 -type dir -name i18n -active 0 -parent D5CF40F1-DF9D-1E2D-FBFC-DFFA740AF249
+File ::EE38D55C-FF56-4100-A989-98A720C91393 -name gvsig-package-installer.l4j.ini -parent D5CF40F1-DF9D-1E2D-FBFC-DFFA740AF249
 Component ::EE918467-993A-9E94-31D7-B8C02C46EE4A -setup Install -active Yes -platforms {AIX-ppc FreeBSD-4-x86 FreeBSD-5-x86 FreeBSD-6-x86 FreeBSD-7-x86 HPUX-hppa Linux-x86 Linux-x86_64 Solaris-sparc Solaris-x86 Windows} -name {gvSIG core} -parent Components
 SetupType ::986E6738-F9BC-9444-D665-C6F52970C695 -setup Install -active Yes -platforms {AIX-ppc FreeBSD-4-x86 FreeBSD-5-x86 FreeBSD-6-x86 FreeBSD-7-x86 HPUX-hppa Linux-x86 Linux-x86_64 Solaris-sparc Solaris-x86 Windows} -name Typical -parent SetupTypes
 SetupType ::A9030D89-64CC-E238-4A51-A3EA100D595B -setup Install -active Yes -platforms {AIX-ppc FreeBSD-4-x86 FreeBSD-5-x86 FreeBSD-6-x86 FreeBSD-7-x86 HPUX-hppa Linux-x86 Linux-x86_64 Solaris-sparc Solaris-x86 Windows} -name Custom -parent SetupTypes
@@ -6914,7 +6926,7 @@
 {<%InstallDir%>}
 
 0B1D2CFD-CF3F-0A84-2C33-6B9A957B3181,FileSize
-{12151902}
+{17116124}
 
 0B1D2CFD-CF3F-0A84-2C33-6B9A957B3181,Name
 {gvSIG base}
@@ -6998,7 +7010,7 @@
 {<%JRELinuxProvidedInstaller%>}
 
 1105917C-3734-726C-7349-F05208D9DB71,URL
-{http://gvsig-desktop.forge.osor.eu/downloads/runtimes/java1.6/jre-6u26-linux-i586.bin}
+{http://downloads.gvsig.org/download/gvsig-desktop/runtimes/java1.6/jre-6u26-linux-i586.bin}
 
 11570579-1FC9-694C-0CBD-BF5286FEEE8C,CheckCondition
 {Before Action is Executed}
@@ -7381,7 +7393,7 @@
 {<%InstallDir%>}
 
 3FCCA384-2783-D981-2506-3A9F5DBE3E9B,FileSize
-{10794}
+{6698}
 
 3FCCA384-2783-D981-2506-3A9F5DBE3E9B,FileUpdateMethod
 {Always overwrite files}
@@ -8625,7 +8637,7 @@
 {<%JREWinProvidedInstaller%>}
 
 B052B934-4F6B-E78A-ED7D-CCDCC475ACD4,URL
-{http://gvsig-desktop.forge.osor.eu/downloads/runtimes/java1.6/jre-6u26-windows-i586-s.exe}
+{http://downloads.gvsig.org/download/gvsig-desktop/runtimes/java1.6/jre-6u26-windows-i586-s.exe}
 
 B2B4F1C3-E07A-3A4B-FD95-2FDCAA3F9739,Alias
 {Installer provided JRE option}
@@ -9183,7 +9195,7 @@
 {<%InstallDir%>}
 
 F3B4EEE1-118B-7F0B-FC8A-1BD5B7F8AD6D,FileSize
-{84558}
+{81166}
 
 F3B4EEE1-118B-7F0B-FC8A-1BD5B7F8AD6D,Name
 {Windows i386}
@@ -9573,7 +9585,7 @@
 {0755}
 
 Linux-x86,Executable
-{<%ShortAppName%>-<%Version%>-<%BuildVersion%>-devel-lin-x86-online.bin}
+{<%ShortAppName%>-<%Version%>-<%BuildVersion%>-<%DevelState%>-lin-x86-online.bin}
 
 Linux-x86,FallBackToConsole
 {Yes}
@@ -9846,7 +9858,7 @@
 {No}
 
 Windows,Executable
-{<%ShortAppName%>-<%Version%>-<%BuildVersion%>-devel-win-x86-online.exe}
+{<%ShortAppName%>-<%Version%>-<%BuildVersion%>-<%DevelState%>-win-x86-online.exe}
 
 Windows,FileDescription
 {<%AppName%> <%Version%> Setup}
Index: branches/v2_0_0_prep/build/projects/gvsig-standard/gvsig-standard-installer/pom.xml
===================================================================
--- branches/v2_0_0_prep/build/projects/gvsig-standard/gvsig-standard-installer/pom.xml	(revision 38251)
+++ branches/v2_0_0_prep/build/projects/gvsig-standard/gvsig-standard-installer/pom.xml	(revision 38252)
@@ -60,23 +60,18 @@
                                     <!-- Tested with InstallJammer 1.2.15b1 -->
                                     <executable>installjammer</executable>
                                     <arguments>
-                                        <argument>--output-dir
-                                            ${install.build.dir}/output</argument>
+                                        <argument>--output-dir</argument><argument>${install.build.dir}/output</argument>
                                         <!--argument>-DBaseDir ${basedir}/../../product</argument -->
-                                        <argument>-DBaseDir ${gvsig.install.dir}</argument>
-                                        <argument>-DBaseNativeLibsDir
-                                            ${gvsig.native.base.libs.dir}</argument>
-                                        <argument>-DLini386NativeLibsDir
-                                            ${gvsig.native.lini386.libs.dir}</argument>
-                                        <argument>-DWini386NativeLibsDir
-                                            ${gvsig.native.wini386.libs.dir}</argument>
-                                        <argument>-DInstallVersion ${gvSIG-version}.${buildNumber}</argument>
-                                        <argument>-DVersion ${gvSIG-version}</argument>
+                                        <argument>-DBaseDir</argument><argument>${gvsig.install.dir}</argument>
+                                        <argument>-DBaseNativeLibsDir</argument><argument>${gvsig.native.base.libs.dir}</argument>
+                                        <argument>-DLini386NativeLibsDir</argument><argument>${gvsig.native.lini386.libs.dir}</argument>
+                                        <argument>-DWini386NativeLibsDir</argument><argument>${gvsig.native.wini386.libs.dir}</argument>
+                                        <argument>-DInstallVersion</argument><argument>${gvSIG-version}.${buildNumber}</argument>
+                                        <argument>-DVersion</argument><argument>${gvSIG-version}</argument>
+                                        <argument>-DDevelState</argument><argument>${state}</argument>
                                         <argument>--build-for-release</argument>
-                                        <argument>--build-dir
-                                            ${install.build.dir}</argument>
-                                        <argument>--build-log-file
-                                            ${project.build.directory}/build.log</argument>
+                                        <argument>--build-dir</argument><argument>${install.build.dir}</argument>
+                                        <argument>--build-log-file</argument><argument>${project.build.directory}/build.log</argument>
                                         <argument>--verbose</argument>
                                         <argument>--build</argument>
                                         <argument>${basedir}/src/main/installjammer/${project.artifactId}.mpi</argument>