Index: branches/v2_0_0_prep/libraries/libCorePlugin/buildNumber.properties
===================================================================
--- branches/v2_0_0_prep/libraries/libCorePlugin/buildNumber.properties	(revision 38255)
+++ branches/v2_0_0_prep/libraries/libCorePlugin/buildNumber.properties	(revision 38256)
@@ -1,3 +1,3 @@
-#maven.buildNumber.plugin properties file
-#Wed Apr 18 14:29:08 CEST 2012
-buildNumber=2046
+#maven.buildNumber.plugin properties file
+#Tue May 29 16:37:23 CEST 2012
+buildNumber=2047
Index: branches/v2_0_0_prep/extensions/extDataLocator/buildNumber.properties
===================================================================
--- branches/v2_0_0_prep/extensions/extDataLocator/buildNumber.properties	(revision 38255)
+++ branches/v2_0_0_prep/extensions/extDataLocator/buildNumber.properties	(revision 38256)
@@ -1,3 +1,3 @@
-#maven.buildNumber.plugin properties file
-#Wed Apr 18 14:31:17 CEST 2012
-buildNumber=2046
+#maven.buildNumber.plugin properties file
+#Tue May 29 16:41:18 CEST 2012
+buildNumber=2047
Index: branches/v2_0_0_prep/extensions/org.gvsig.mkmvnproject/buildNumber.properties
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.mkmvnproject/buildNumber.properties	(revision 38255)
+++ branches/v2_0_0_prep/extensions/org.gvsig.mkmvnproject/buildNumber.properties	(revision 38256)
@@ -1,3 +1,3 @@
-#maven.buildNumber.plugin properties file
-#Wed Apr 18 14:29:48 CEST 2012
-buildNumber=2048
+#maven.buildNumber.plugin properties file
+#Tue May 29 16:38:45 CEST 2012
+buildNumber=2049
Index: branches/v2_0_0_prep/extensions/org.gvsig.geometrymeasurement.app/org.gvsig.geometrymeasurement.app.extension/buildNumber.properties
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.geometrymeasurement.app/org.gvsig.geometrymeasurement.app.extension/buildNumber.properties	(revision 38255)
+++ branches/v2_0_0_prep/extensions/org.gvsig.geometrymeasurement.app/org.gvsig.geometrymeasurement.app.extension/buildNumber.properties	(revision 38256)
@@ -1,3 +1,3 @@
-#maven.buildNumber.plugin properties file
-#Wed Apr 18 14:31:48 CEST 2012
-buildNumber=2046
+#maven.buildNumber.plugin properties file
+#Tue May 29 16:42:12 CEST 2012
+buildNumber=2047
Index: branches/v2_0_0_prep/extensions/org.gvsig.geometrymeasurement.app/buildNumber.properties
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.geometrymeasurement.app/buildNumber.properties	(revision 38255)
+++ branches/v2_0_0_prep/extensions/org.gvsig.geometrymeasurement.app/buildNumber.properties	(revision 38256)
@@ -1,3 +1,3 @@
-#maven.buildNumber.plugin properties file
-#Wed Apr 18 14:31:47 CEST 2012
-buildNumber=2054
+#maven.buildNumber.plugin properties file
+#Tue May 29 16:42:11 CEST 2012
+buildNumber=2055
Index: branches/v2_0_0_prep/extensions/extExpressionField/buildNumber.properties
===================================================================
--- branches/v2_0_0_prep/extensions/extExpressionField/buildNumber.properties	(revision 38255)
+++ branches/v2_0_0_prep/extensions/extExpressionField/buildNumber.properties	(revision 38256)
@@ -1,3 +1,3 @@
-#maven.buildNumber.plugin properties file
-#Wed Apr 18 14:31:20 CEST 2012
-buildNumber=2046
+#maven.buildNumber.plugin properties file
+#Tue May 29 16:41:23 CEST 2012
+buildNumber=2047
Index: branches/v2_0_0_prep/extensions/org.gvsig.hyperlink.app/buildNumber.properties
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.hyperlink.app/buildNumber.properties	(revision 38255)
+++ branches/v2_0_0_prep/extensions/org.gvsig.hyperlink.app/buildNumber.properties	(revision 38256)
@@ -1,3 +1,3 @@
-#maven.buildNumber.plugin properties file
-#Wed Apr 18 14:31:27 CEST 2012
-buildNumber=2054
+#maven.buildNumber.plugin properties file
+#Tue May 29 16:41:39 CEST 2012
+buildNumber=2055
Index: branches/v2_0_0_prep/extensions/org.gvsig.hyperlink.app/org.gvsig.hyperlink.app.extension/buildNumber.properties
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.hyperlink.app/org.gvsig.hyperlink.app.extension/buildNumber.properties	(revision 38255)
+++ branches/v2_0_0_prep/extensions/org.gvsig.hyperlink.app/org.gvsig.hyperlink.app.extension/buildNumber.properties	(revision 38256)
@@ -1,3 +1,3 @@
-#maven.buildNumber.plugin properties file
-#Wed Apr 18 14:31:28 CEST 2012
-buildNumber=2046
+#maven.buildNumber.plugin properties file
+#Tue May 29 16:41:40 CEST 2012
+buildNumber=2047
Index: branches/v2_0_0_prep/extensions/extGeoDB/buildNumber.properties
===================================================================
--- branches/v2_0_0_prep/extensions/extGeoDB/buildNumber.properties	(revision 38255)
+++ branches/v2_0_0_prep/extensions/extGeoDB/buildNumber.properties	(revision 38256)
@@ -1,3 +1,3 @@
-#maven.buildNumber.plugin properties file
-#Wed Apr 18 14:29:55 CEST 2012
-buildNumber=2046
+#maven.buildNumber.plugin properties file
+#Tue May 29 16:38:57 CEST 2012
+buildNumber=2047
Index: branches/v2_0_0_prep/extensions/extDalTransformEventTheme/buildNumber.properties
===================================================================
--- branches/v2_0_0_prep/extensions/extDalTransformEventTheme/buildNumber.properties	(revision 38255)
+++ branches/v2_0_0_prep/extensions/extDalTransformEventTheme/buildNumber.properties	(revision 38256)
@@ -1,3 +1,3 @@
-#maven.buildNumber.plugin properties file
-#Wed Apr 18 14:30:27 CEST 2012
-buildNumber=2038
+#maven.buildNumber.plugin properties file
+#Tue May 29 16:39:59 CEST 2012
+buildNumber=2039
Index: branches/v2_0_0_prep/extensions/extWFS2/buildNumber.properties
===================================================================
--- branches/v2_0_0_prep/extensions/extWFS2/buildNumber.properties	(revision 38255)
+++ branches/v2_0_0_prep/extensions/extWFS2/buildNumber.properties	(revision 38256)
@@ -1,3 +1,3 @@
-#maven.buildNumber.plugin properties file
-#Wed Apr 18 14:30:06 CEST 2012
-buildNumber=2046
+#maven.buildNumber.plugin properties file
+#Tue May 29 16:39:22 CEST 2012
+buildNumber=2047
Index: branches/v2_0_0_prep/extensions/extDwg/buildNumber.properties
===================================================================
--- branches/v2_0_0_prep/extensions/extDwg/buildNumber.properties	(revision 38255)
+++ branches/v2_0_0_prep/extensions/extDwg/buildNumber.properties	(revision 38256)
@@ -1,3 +1,3 @@
-#maven.buildNumber.plugin properties file
-#Wed Apr 18 14:30:00 CEST 2012
-buildNumber=2046
+#maven.buildNumber.plugin properties file
+#Tue May 29 16:39:09 CEST 2012
+buildNumber=2047
Index: branches/v2_0_0_prep/extensions/extEditing/buildNumber.properties
===================================================================
--- branches/v2_0_0_prep/extensions/extEditing/buildNumber.properties	(revision 38255)
+++ branches/v2_0_0_prep/extensions/extEditing/buildNumber.properties	(revision 38256)
@@ -1,3 +1,3 @@
-#maven.buildNumber.plugin properties file
-#Wed Apr 18 14:31:09 CEST 2012
-buildNumber=2046
+#maven.buildNumber.plugin properties file
+#Tue May 29 16:40:57 CEST 2012
+buildNumber=2047
Index: branches/v2_0_0_prep/extensions/org.gvsig.symbology.app/org.gvsig.symbology.app.importsymbols/buildNumber.properties
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.symbology.app/org.gvsig.symbology.app.importsymbols/buildNumber.properties	(revision 38255)
+++ branches/v2_0_0_prep/extensions/org.gvsig.symbology.app/org.gvsig.symbology.app.importsymbols/buildNumber.properties	(revision 38256)
@@ -1,3 +1,3 @@
-#maven.buildNumber.plugin properties file
-#Wed Apr 18 14:31:51 CEST 2012
-buildNumber=2046
+#maven.buildNumber.plugin properties file
+#Tue May 29 16:42:19 CEST 2012
+buildNumber=2047
Index: branches/v2_0_0_prep/extensions/org.gvsig.symbology.app/org.gvsig.symbology.app.symbolinstaller/buildNumber.properties
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.symbology.app/org.gvsig.symbology.app.symbolinstaller/buildNumber.properties	(revision 38255)
+++ branches/v2_0_0_prep/extensions/org.gvsig.symbology.app/org.gvsig.symbology.app.symbolinstaller/buildNumber.properties	(revision 38256)
@@ -1,3 +1,3 @@
-#maven.buildNumber.plugin properties file
-#Wed Apr 18 14:31:54 CEST 2012
-buildNumber=2044
+#maven.buildNumber.plugin properties file
+#Tue May 29 16:42:25 CEST 2012
+buildNumber=2045
Index: branches/v2_0_0_prep/extensions/org.gvsig.symbology.app/buildNumber.properties
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.symbology.app/buildNumber.properties	(revision 38255)
+++ branches/v2_0_0_prep/extensions/org.gvsig.symbology.app/buildNumber.properties	(revision 38256)
@@ -1,3 +1,3 @@
-#maven.buildNumber.plugin properties file
-#Wed Apr 18 14:31:50 CEST 2012
-buildNumber=2045
+#maven.buildNumber.plugin properties file
+#Tue May 29 16:42:18 CEST 2012
+buildNumber=2046
Index: branches/v2_0_0_prep/extensions/org.gvsig.exportto.app/org.gvsig.exportto.app.extension/buildNumber.properties
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.exportto.app/org.gvsig.exportto.app.extension/buildNumber.properties	(revision 38255)
+++ branches/v2_0_0_prep/extensions/org.gvsig.exportto.app/org.gvsig.exportto.app.extension/buildNumber.properties	(revision 38256)
@@ -1,3 +1,3 @@
-#maven.buildNumber.plugin properties file
-#Wed Apr 18 14:31:05 CEST 2012
-buildNumber=2054
+#maven.buildNumber.plugin properties file
+#Tue May 29 16:40:48 CEST 2012
+buildNumber=2055
Index: branches/v2_0_0_prep/extensions/org.gvsig.exportto.app/buildNumber.properties
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.exportto.app/buildNumber.properties	(revision 38255)
+++ branches/v2_0_0_prep/extensions/org.gvsig.exportto.app/buildNumber.properties	(revision 38256)
@@ -1,3 +1,3 @@
-#maven.buildNumber.plugin properties file
-#Wed Apr 18 14:31:04 CEST 2012
-buildNumber=2054
+#maven.buildNumber.plugin properties file
+#Tue May 29 16:40:48 CEST 2012
+buildNumber=2055
Index: branches/v2_0_0_prep/extensions/extGPE-gvSIG/buildNumber.properties
===================================================================
--- branches/v2_0_0_prep/extensions/extGPE-gvSIG/buildNumber.properties	(revision 38255)
+++ branches/v2_0_0_prep/extensions/extGPE-gvSIG/buildNumber.properties	(revision 38256)
@@ -1,3 +1,3 @@
-#maven.buildNumber.plugin properties file
-#Wed Apr 18 14:30:03 CEST 2012
-buildNumber=2046
+#maven.buildNumber.plugin properties file
+#Tue May 29 16:39:14 CEST 2012
+buildNumber=2047
Index: branches/v2_0_0_prep/extensions/org.gvsig.installer.app/buildNumber.properties
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.installer.app/buildNumber.properties	(revision 38255)
+++ branches/v2_0_0_prep/extensions/org.gvsig.installer.app/buildNumber.properties	(revision 38256)
@@ -1,3 +1,3 @@
-#maven.buildNumber.plugin properties file
-#Wed Apr 18 14:29:41 CEST 2012
-buildNumber=2052
+#maven.buildNumber.plugin properties file
+#Tue May 29 16:38:35 CEST 2012
+buildNumber=2053
Index: branches/v2_0_0_prep/extensions/org.gvsig.installer.app/org.gvsig.installer.app.extension/buildNumber.properties
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.installer.app/org.gvsig.installer.app.extension/buildNumber.properties	(revision 38255)
+++ branches/v2_0_0_prep/extensions/org.gvsig.installer.app/org.gvsig.installer.app.extension/buildNumber.properties	(revision 38256)
@@ -1,3 +1,3 @@
-#maven.buildNumber.plugin properties file
-#Wed Apr 18 14:29:41 CEST 2012
-buildNumber=2046
+#maven.buildNumber.plugin properties file
+#Tue May 29 16:38:36 CEST 2012
+buildNumber=2047
Index: branches/v2_0_0_prep/extensions/org.gvsig.daltransform.app.mainplugin/buildNumber.properties
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.daltransform.app.mainplugin/buildNumber.properties	(revision 38255)
+++ branches/v2_0_0_prep/extensions/org.gvsig.daltransform.app.mainplugin/buildNumber.properties	(revision 38256)
@@ -1,3 +1,3 @@
-#maven.buildNumber.plugin properties file
-#Wed Apr 18 14:30:23 CEST 2012
-buildNumber=2046
+#maven.buildNumber.plugin properties file
+#Tue May 29 16:39:52 CEST 2012
+buildNumber=2047
Index: branches/v2_0_0_prep/extensions/extIconThemeBase/buildNumber.properties
===================================================================
--- branches/v2_0_0_prep/extensions/extIconThemeBase/buildNumber.properties	(revision 38255)
+++ branches/v2_0_0_prep/extensions/extIconThemeBase/buildNumber.properties	(revision 38256)
@@ -1,3 +1,3 @@
-#maven.buildNumber.plugin properties file
-#Wed Apr 18 14:29:46 CEST 2012
-buildNumber=2046
+#maven.buildNumber.plugin properties file
+#Tue May 29 16:38:41 CEST 2012
+buildNumber=2047
Index: branches/v2_0_0_prep/extensions/org.gvsig.selectiontools.app/buildNumber.properties
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.selectiontools.app/buildNumber.properties	(revision 38255)
+++ branches/v2_0_0_prep/extensions/org.gvsig.selectiontools.app/buildNumber.properties	(revision 38256)
@@ -1,3 +1,3 @@
-#maven.buildNumber.plugin properties file
-#Wed Apr 18 14:31:31 CEST 2012
-buildNumber=2054
+#maven.buildNumber.plugin properties file
+#Tue May 29 16:41:47 CEST 2012
+buildNumber=2055
Index: branches/v2_0_0_prep/extensions/org.gvsig.selectiontools.app/org.gvsig.selectiontools.app.extension/buildNumber.properties
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.selectiontools.app/org.gvsig.selectiontools.app.extension/buildNumber.properties	(revision 38255)
+++ branches/v2_0_0_prep/extensions/org.gvsig.selectiontools.app/org.gvsig.selectiontools.app.extension/buildNumber.properties	(revision 38256)
@@ -1,3 +1,3 @@
-#maven.buildNumber.plugin properties file
-#Wed Apr 18 14:31:32 CEST 2012
-buildNumber=2046
+#maven.buildNumber.plugin properties file
+#Tue May 29 16:41:48 CEST 2012
+buildNumber=2047
Index: branches/v2_0_0_prep/extensions/org.gvsig.app.document.layout.app/org.gvsig.app.document.layout.app.mainplugin/buildNumber.properties
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.app.document.layout.app/org.gvsig.app.document.layout.app.mainplugin/buildNumber.properties	(revision 38255)
+++ branches/v2_0_0_prep/extensions/org.gvsig.app.document.layout.app/org.gvsig.app.document.layout.app.mainplugin/buildNumber.properties	(revision 38256)
@@ -1,3 +1,3 @@
-#maven.buildNumber.plugin properties file
-#Wed Apr 18 14:29:35 CEST 2012
-buildNumber=12
+#maven.buildNumber.plugin properties file
+#Tue May 29 16:38:23 CEST 2012
+buildNumber=13
Index: branches/v2_0_0_prep/extensions/org.gvsig.app.document.layout.app/buildNumber.properties
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.app.document.layout.app/buildNumber.properties	(revision 38255)
+++ branches/v2_0_0_prep/extensions/org.gvsig.app.document.layout.app/buildNumber.properties	(revision 38256)
@@ -1,3 +1,3 @@
-#maven.buildNumber.plugin properties file
-#Wed Apr 18 14:29:34 CEST 2012
-buildNumber=12
+#maven.buildNumber.plugin properties file
+#Tue May 29 16:38:23 CEST 2012
+buildNumber=13
Index: branches/v2_0_0_prep/extensions/org.gvsig.annotation.app/buildNumber.properties
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.annotation.app/buildNumber.properties	(revision 38255)
+++ branches/v2_0_0_prep/extensions/org.gvsig.annotation.app/buildNumber.properties	(revision 38256)
@@ -1,3 +1,3 @@
-#maven.buildNumber.plugin properties file
-#Wed Apr 18 14:31:41 CEST 2012
-buildNumber=2054
+#maven.buildNumber.plugin properties file
+#Tue May 29 16:42:03 CEST 2012
+buildNumber=2055
Index: branches/v2_0_0_prep/extensions/org.gvsig.annotation.app/org.gvsig.annotation.app.extension/buildNumber.properties
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.annotation.app/org.gvsig.annotation.app.extension/buildNumber.properties	(revision 38255)
+++ branches/v2_0_0_prep/extensions/org.gvsig.annotation.app/org.gvsig.annotation.app.extension/buildNumber.properties	(revision 38256)
@@ -1,3 +1,3 @@
-#maven.buildNumber.plugin properties file
-#Wed Apr 18 14:31:42 CEST 2012
-buildNumber=2046
+#maven.buildNumber.plugin properties file
+#Tue May 29 16:42:04 CEST 2012
+buildNumber=2047
Index: branches/v2_0_0_prep/extensions/extDalTransformJoin/buildNumber.properties
===================================================================
--- branches/v2_0_0_prep/extensions/extDalTransformJoin/buildNumber.properties	(revision 38255)
+++ branches/v2_0_0_prep/extensions/extDalTransformJoin/buildNumber.properties	(revision 38256)
@@ -1,3 +1,3 @@
-#maven.buildNumber.plugin properties file
-#Wed Apr 18 14:30:31 CEST 2012
-buildNumber=2038
+#maven.buildNumber.plugin properties file
+#Tue May 29 16:40:05 CEST 2012
+buildNumber=2039
Index: branches/v2_0_0_prep/extensions/extI18n/buildNumber.properties
===================================================================
--- branches/v2_0_0_prep/extensions/extI18n/buildNumber.properties	(revision 38255)
+++ branches/v2_0_0_prep/extensions/extI18n/buildNumber.properties	(revision 38256)
@@ -1,3 +1,3 @@
-#maven.buildNumber.plugin properties file
-#Wed Apr 18 14:31:24 CEST 2012
-buildNumber=2047
+#maven.buildNumber.plugin properties file
+#Tue May 29 16:41:30 CEST 2012
+buildNumber=2048
Index: branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/buildNumber.properties
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/buildNumber.properties	(revision 38255)
+++ branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/buildNumber.properties	(revision 38256)
@@ -1,3 +1,3 @@
-#maven.buildNumber.plugin properties file
-#Wed Apr 18 14:29:30 CEST 2012
-buildNumber=12
+#maven.buildNumber.plugin properties file
+#Tue May 29 16:38:15 CEST 2012
+buildNumber=13
Index: branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/buildNumber.properties
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/buildNumber.properties	(revision 38255)
+++ branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/buildNumber.properties	(revision 38256)
@@ -1,3 +1,3 @@
-#maven.buildNumber.plugin properties file
-#Wed Apr 18 14:29:30 CEST 2012
-buildNumber=12
+#maven.buildNumber.plugin properties file
+#Tue May 29 16:38:16 CEST 2012
+buildNumber=13
Index: branches/v2_0_0_prep/extensions/org.gvsig.newlayer.app/buildNumber.properties
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.newlayer.app/buildNumber.properties	(revision 38255)
+++ branches/v2_0_0_prep/extensions/org.gvsig.newlayer.app/buildNumber.properties	(revision 38256)
@@ -1,3 +1,3 @@
-#maven.buildNumber.plugin properties file
-#Wed Apr 18 14:32:08 CEST 2012
-buildNumber=17
+#maven.buildNumber.plugin properties file
+#Tue May 29 16:42:48 CEST 2012
+buildNumber=18
Index: branches/v2_0_0_prep/extensions/org.gvsig.newlayer.app/org.gvsig.newlayer.app.extension/buildNumber.properties
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.newlayer.app/org.gvsig.newlayer.app.extension/buildNumber.properties	(revision 38255)
+++ branches/v2_0_0_prep/extensions/org.gvsig.newlayer.app/org.gvsig.newlayer.app.extension/buildNumber.properties	(revision 38256)
@@ -1,3 +1,3 @@
-#maven.buildNumber.plugin properties file
-#Wed Apr 18 14:32:09 CEST 2012
-buildNumber=17
+#maven.buildNumber.plugin properties file
+#Tue May 29 16:42:48 CEST 2012
+buildNumber=18
Index: branches/v2_0_0_prep/extensions/extCenterViewToPoint/buildNumber.properties
===================================================================
--- branches/v2_0_0_prep/extensions/extCenterViewToPoint/buildNumber.properties	(revision 38255)
+++ branches/v2_0_0_prep/extensions/extCenterViewToPoint/buildNumber.properties	(revision 38256)
@@ -1,3 +1,3 @@
-#maven.buildNumber.plugin properties file
-#Wed Apr 18 14:31:14 CEST 2012
-buildNumber=2046
+#maven.buildNumber.plugin properties file
+#Tue May 29 16:41:12 CEST 2012
+buildNumber=2047
Index: branches/v2_0_0_prep/extensions/extHelp/buildNumber.properties
===================================================================
--- branches/v2_0_0_prep/extensions/extHelp/buildNumber.properties	(revision 38255)
+++ branches/v2_0_0_prep/extensions/extHelp/buildNumber.properties	(revision 38256)
@@ -1,3 +1,3 @@
-#maven.buildNumber.plugin properties file
-#Wed Apr 18 14:31:26 CEST 2012
-buildNumber=2046
+#maven.buildNumber.plugin properties file
+#Tue May 29 16:41:36 CEST 2012
+buildNumber=2047
Index: branches/v2_0_0_prep/applications/appgvSIG/buildNumber.properties
===================================================================
--- branches/v2_0_0_prep/applications/appgvSIG/buildNumber.properties	(revision 38255)
+++ branches/v2_0_0_prep/applications/appgvSIG/buildNumber.properties	(revision 38256)
@@ -1,3 +1,3 @@
-#maven.buildNumber.plugin properties file
-#Wed Apr 18 14:29:21 CEST 2012
-buildNumber=2046
+#maven.buildNumber.plugin properties file
+#Tue May 29 16:37:40 CEST 2012
+buildNumber=2047