Index: tags/v2_0_0_Build_2047/libraries/libEvaluator_SQLJEP/src/org/gvsig/tools/evaluator/sqljep/SQLJEPLibrary.java
===================================================================
--- tags/v2_0_0_Build_2047/libraries/libEvaluator_SQLJEP/src/org/gvsig/tools/evaluator/sqljep/SQLJEPLibrary.java	(revision 0)
+++ tags/v2_0_0_Build_2047/libraries/libEvaluator_SQLJEP/src/org/gvsig/tools/evaluator/sqljep/SQLJEPLibrary.java	(revision 38282)
@@ -0,0 +1,58 @@
+/* gvSIG. Geographic Information System of the Valencian Government
+*
+* Copyright (C) 2007-2008 Infrastructures and Transports Department
+* of the Valencian Government (CIT)
+*
+* This program is free software; you can redistribute it and/or
+* modify it under the terms of the GNU General Public License
+* as published by the Free Software Foundation; either version 2
+* of the License, or (at your option) any later version.
+*
+* This program is distributed in the hope that it will be useful,
+* but WITHOUT ANY WARRANTY; without even the implied warranty of
+* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+* GNU General Public License for more details.
+*
+* You should have received a copy of the GNU General Public License
+* along with this program; if not, write to the Free Software
+* Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
+* MA  02110-1301, USA.
+*
+*/
+package org.gvsig.tools.evaluator.sqljep;
+
+import org.medfoster.sqljep.BaseJEP;
+import org.medfoster.sqljep.function.ToDate;
+
+import org.gvsig.fmap.geom.GeometryLibrary;
+import org.gvsig.tools.ToolsLibrary;
+import org.gvsig.tools.evaluator.sqljep.function.Boundary;
+import org.gvsig.tools.evaluator.sqljep.function.Equals;
+import org.gvsig.tools.evaluator.sqljep.function.GeomFromText;
+import org.gvsig.tools.evaluator.sqljep.function.Intersects;
+import org.gvsig.tools.evaluator.sqljep.function.Overlaps;
+import org.gvsig.tools.library.AbstractLibrary;
+import org.gvsig.tools.library.LibraryException;
+
+public class SQLJEPLibrary extends AbstractLibrary {
+
+    @Override
+    public void doRegistration() {
+        registerAsServiceOf(ToolsLibrary.class);
+        require(GeometryLibrary.class);
+    }
+
+	@Override
+	protected void doInitialize() throws LibraryException {
+	}
+
+	@Override
+	protected void doPostInitialize() throws LibraryException {
+		BaseJEP.addFunction(Equals.NAME, new Equals());
+		BaseJEP.addFunction(GeomFromText.NAME, new GeomFromText());
+		BaseJEP.addFunction(Intersects.NAME, new Intersects());
+		BaseJEP.addFunction(Overlaps.NAME, new Overlaps());
+		BaseJEP.addFunction(Boundary.NAME, new Boundary());
+		BaseJEP.addFunction("to_timestamp", new ToDate());
+	}
+}

Property changes on: tags/v2_0_0_Build_2047/libraries/libEvaluator_SQLJEP/src/org/gvsig/tools/evaluator/sqljep/SQLJEPLibrary.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tags/v2_0_0_Build_2047/libraries/libEvaluator_SQLJEP/src/org/gvsig/tools/evaluator/sqljep/function/Overlaps.java
===================================================================
--- tags/v2_0_0_Build_2047/libraries/libEvaluator_SQLJEP/src/org/gvsig/tools/evaluator/sqljep/function/Overlaps.java	(revision 0)
+++ tags/v2_0_0_Build_2047/libraries/libEvaluator_SQLJEP/src/org/gvsig/tools/evaluator/sqljep/function/Overlaps.java	(revision 38282)
@@ -0,0 +1,70 @@
+/* gvSIG. Geographic Information System of the Valencian Government
+*
+* Copyright (C) 2007-2008 Infrastructures and Transports Department
+* of the Valencian Government (CIT)
+* 
+* This program is free software; you can redistribute it and/or
+* modify it under the terms of the GNU General Public License
+* as published by the Free Software Foundation; either version 2
+* of the License, or (at your option) any later version.
+* 
+* This program is distributed in the hope that it will be useful,
+* but WITHOUT ANY WARRANTY; without even the implied warranty of
+* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+* GNU General Public License for more details.
+* 
+* You should have received a copy of the GNU General Public License
+* along with this program; if not, write to the Free Software
+* Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, 
+* MA  02110-1301, USA.
+* 
+*/
+
+/*
+* AUTHORS (In addition to CIT):
+* 2008 IVER T.I. S.A.   {{Task}}
+*/
+ 
+package org.gvsig.tools.evaluator.sqljep.function;
+
+import org.gvsig.fmap.geom.Geometry;
+import org.gvsig.fmap.geom.operation.GeometryOperationException;
+import org.gvsig.fmap.geom.operation.GeometryOperationNotSupportedException;
+import org.gvsig.fmap.geom.operation.relationship.DefaultRelationshipGeometryOperationContext;
+import org.medfoster.sqljep.ASTFunNode;
+import org.medfoster.sqljep.JepRuntime;
+import org.medfoster.sqljep.ParseException;
+import org.medfoster.sqljep.function.PostfixCommand;
+
+public class Overlaps extends PostfixCommand {
+
+	public static final String NAME = "overlaps";
+	
+	final public int getNumberOfParameters() {
+		return 2;
+	}
+
+	/* (non-Javadoc)
+	 * @see org.medfoster.sqljep.function.PostfixCommand#evaluate(org.medfoster.sqljep.ASTFunNode, org.medfoster.sqljep.JepRuntime)
+	 */
+	public void evaluate(ASTFunNode node, JepRuntime runtime)
+			throws ParseException {
+		node.childrenAccept(runtime.ev, null);
+		Geometry geom1 = (Geometry)runtime.stack.pop();
+		Geometry geom2 = (Geometry)runtime.stack.pop();
+		runtime.stack.push(overlaps(geom1, geom2));
+	}
+
+	private static Boolean overlaps(Geometry geom1, Geometry geom2) throws ParseException {
+		try {
+			return (Boolean) geom1.invokeOperation(
+					org.gvsig.fmap.geom.operation.relationship.Overlaps.CODE,
+					new DefaultRelationshipGeometryOperationContext(geom2));
+		} catch (GeometryOperationNotSupportedException e) {
+			throw new ParseException(NAME, e);
+		} catch (GeometryOperationException e) {
+			throw new ParseException(NAME, e);
+		}
+	}
+
+}

Property changes on: tags/v2_0_0_Build_2047/libraries/libEvaluator_SQLJEP/src/org/gvsig/tools/evaluator/sqljep/function/Overlaps.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tags/v2_0_0_Build_2047/libraries/libEvaluator_SQLJEP/src/org/gvsig/tools/evaluator/sqljep/function/GeomFromText.java
===================================================================
--- tags/v2_0_0_Build_2047/libraries/libEvaluator_SQLJEP/src/org/gvsig/tools/evaluator/sqljep/function/GeomFromText.java	(revision 0)
+++ tags/v2_0_0_Build_2047/libraries/libEvaluator_SQLJEP/src/org/gvsig/tools/evaluator/sqljep/function/GeomFromText.java	(revision 38282)
@@ -0,0 +1,113 @@
+/* gvSIG. Geographic Information System of the Valencian Government
+ *
+ * Copyright (C) 2007-2008 Infrastructures and Transports Department
+ * of the Valencian Government (CIT)
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
+ * MA  02110-1301, USA.
+ *
+ */
+
+/*
+ * AUTHORS (In addition to CIT):
+ * 2008 IVER T.I. S.A.   {{Task}}
+ */
+
+package org.gvsig.tools.evaluator.sqljep.function;
+
+import org.gvsig.fmap.geom.Geometry;
+import org.gvsig.fmap.geom.GeometryLocator;
+import org.gvsig.fmap.geom.GeometryManager;
+import org.gvsig.fmap.geom.Geometry.SUBTYPES;
+import org.gvsig.fmap.geom.exception.CreateGeometryException;
+import org.gvsig.fmap.geom.operation.GeometryOperationException;
+import org.gvsig.fmap.geom.operation.GeometryOperationNotSupportedException;
+import org.gvsig.fmap.geom.operation.fromwkt.FromWKT;
+import org.gvsig.fmap.geom.operation.fromwkt.FromWKTGeometryOperationContext;
+import org.gvsig.fmap.geom.util.UtilFunctions;
+import org.medfoster.sqljep.ASTFunNode;
+import org.medfoster.sqljep.JepRuntime;
+import org.medfoster.sqljep.ParseException;
+import org.medfoster.sqljep.function.PostfixCommand;
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
+
+public class GeomFromText extends PostfixCommand {
+	private static final GeometryManager geomManager = GeometryLocator.getGeometryManager();
+	private static final Logger logger = LoggerFactory.getLogger(GeomFromText.class);
+	
+	private static Geometry nullGeometry = null;
+	private static Object lock = new Object();
+
+	public static final String NAME = "GeomFromText";
+	private static String lastTextGeometry="";
+	private static String lastSRS="";
+	private static Geometry lastGeometry=null;
+
+	final public int getNumberOfParameters() {
+		return 2;
+	}
+
+	public GeomFromText() {
+		super();
+	}
+
+	/*
+	 * (non-Javadoc)
+	 *
+	 * @see org.medfoster.sqljep.function.PostfixCommand#evaluate(org.medfoster.sqljep.ASTFunNode,
+	 *      org.medfoster.sqljep.JepRuntime)
+	 */
+	public void evaluate(ASTFunNode node, JepRuntime runtime)
+			throws ParseException {
+		node.childrenAccept(runtime.ev, null);
+		String srs = (String) runtime.stack.pop();
+		String text = (String) runtime.stack.pop();
+		runtime.stack.push(geometryFromText(text, srs));
+	}
+
+	private static Geometry geometryFromText(String text, String srs)
+			throws ParseException {
+		if (!lastTextGeometry.equals(text) || !lastSRS.equals(srs)) {
+			try {
+				lastGeometry = (Geometry) nullGeometry.invokeOperation(
+						FromWKT.CODE,
+						new FromWKTGeometryOperationContext(text,srs)
+					);
+			} catch (GeometryOperationNotSupportedException e) {
+				throw new ParseException(NAME, e);
+			} catch (GeometryOperationException e) {
+				throw new ParseException(NAME, e);
+			}
+			lastTextGeometry = text;
+			lastSRS = srs;
+		}
+		return lastGeometry;
+	}
+	
+	private static Geometry getNullGeometry() {
+		synchronized (lock) {
+			if (nullGeometry == null) {
+				try {
+					nullGeometry = geomManager.createNullGeometry(SUBTYPES.GEOM2D);
+				} catch (CreateGeometryException e) {
+					logger.error("Error creating a null geometry", e);
+				}
+			}
+		}
+		return nullGeometry;
+	}
+
+}
\ No newline at end of file

Property changes on: tags/v2_0_0_Build_2047/libraries/libEvaluator_SQLJEP/src/org/gvsig/tools/evaluator/sqljep/function/GeomFromText.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tags/v2_0_0_Build_2047/libraries/libEvaluator_SQLJEP/src/org/gvsig/tools/evaluator/sqljep/function/Boundary.java
===================================================================
--- tags/v2_0_0_Build_2047/libraries/libEvaluator_SQLJEP/src/org/gvsig/tools/evaluator/sqljep/function/Boundary.java	(revision 0)
+++ tags/v2_0_0_Build_2047/libraries/libEvaluator_SQLJEP/src/org/gvsig/tools/evaluator/sqljep/function/Boundary.java	(revision 38282)
@@ -0,0 +1,70 @@
+/* gvSIG. Geographic Information System of the Valencian Government
+*
+* Copyright (C) 2007-2008 Infrastructures and Transports Department
+* of the Valencian Government (CIT)
+*
+* This program is free software; you can redistribute it and/or
+* modify it under the terms of the GNU General Public License
+* as published by the Free Software Foundation; either version 2
+* of the License, or (at your option) any later version.
+*
+* This program is distributed in the hope that it will be useful,
+* but WITHOUT ANY WARRANTY; without even the implied warranty of
+* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+* GNU General Public License for more details.
+*
+* You should have received a copy of the GNU General Public License
+* along with this program; if not, write to the Free Software
+* Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
+* MA  02110-1301, USA.
+*
+*/
+
+/*
+* AUTHORS (In addition to CIT):
+* 2008 IVER T.I   {{Task}}
+*/
+
+/**
+ *
+ */
+package org.gvsig.tools.evaluator.sqljep.function;
+
+import org.gvsig.fmap.geom.Geometry;
+import org.medfoster.sqljep.ASTFunNode;
+import org.medfoster.sqljep.JepRuntime;
+import org.medfoster.sqljep.ParseException;
+import org.medfoster.sqljep.function.PostfixCommand;
+
+/**
+ * @author jmvivo
+ *
+ */
+public class Boundary extends PostfixCommand {
+
+	public static final String NAME = "boundary";
+
+	final public int getNumberOfParameters() {
+		return 1;
+	}
+	/* (non-Javadoc)
+	 * @see org.medfoster.sqljep.function.PostfixCommand#evaluate(org.medfoster.sqljep.ASTFunNode, org.medfoster.sqljep.JepRuntime)
+	 */
+	public void evaluate(ASTFunNode node, JepRuntime runtime)
+			throws ParseException {
+		node.childrenAccept(runtime.ev, null);
+		Comparable param1 = (Comparable)runtime.stack.pop();
+		if (param1 == null) {
+			runtime.stack.push(null);
+		} else{
+			runtime.stack.push(Boundary.boundary((Geometry) param1));
+		}
+	}
+
+	private static Geometry boundary(Geometry g)
+			throws ParseException {
+		return g.getEnvelope().getGeometry();
+	}
+
+}
+

Property changes on: tags/v2_0_0_Build_2047/libraries/libEvaluator_SQLJEP/src/org/gvsig/tools/evaluator/sqljep/function/Boundary.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tags/v2_0_0_Build_2047/libraries/libEvaluator_SQLJEP/src/org/gvsig/tools/evaluator/sqljep/function/Intersects.java
===================================================================
--- tags/v2_0_0_Build_2047/libraries/libEvaluator_SQLJEP/src/org/gvsig/tools/evaluator/sqljep/function/Intersects.java	(revision 0)
+++ tags/v2_0_0_Build_2047/libraries/libEvaluator_SQLJEP/src/org/gvsig/tools/evaluator/sqljep/function/Intersects.java	(revision 38282)
@@ -0,0 +1,74 @@
+/* gvSIG. Geographic Information System of the Valencian Government
+*
+* Copyright (C) 2007-2008 Infrastructures and Transports Department
+* of the Valencian Government (CIT)
+*
+* This program is free software; you can redistribute it and/or
+* modify it under the terms of the GNU General Public License
+* as published by the Free Software Foundation; either version 2
+* of the License, or (at your option) any later version.
+*
+* This program is distributed in the hope that it will be useful,
+* but WITHOUT ANY WARRANTY; without even the implied warranty of
+* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+* GNU General Public License for more details.
+*
+* You should have received a copy of the GNU General Public License
+* along with this program; if not, write to the Free Software
+* Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
+* MA  02110-1301, USA.
+*
+*/
+
+/*
+* AUTHORS (In addition to CIT):
+* 2008 IVER T.I. S.A.   {{Task}}
+*/
+
+package org.gvsig.tools.evaluator.sqljep.function;
+
+import org.gvsig.fmap.geom.Geometry;
+import org.gvsig.fmap.geom.operation.GeometryOperationException;
+import org.gvsig.fmap.geom.operation.GeometryOperationNotSupportedException;
+import org.gvsig.fmap.geom.operation.relationship.DefaultRelationshipGeometryOperationContext;
+import org.medfoster.sqljep.ASTFunNode;
+import org.medfoster.sqljep.JepRuntime;
+import org.medfoster.sqljep.ParseException;
+import org.medfoster.sqljep.function.PostfixCommand;
+
+public class Intersects extends PostfixCommand {
+
+	public static final String NAME = "intersects";
+
+	final public int getNumberOfParameters() {
+		return 2;
+	}
+
+	/* (non-Javadoc)
+	 * @see org.medfoster.sqljep.function.PostfixCommand#evaluate(org.medfoster.sqljep.ASTFunNode, org.medfoster.sqljep.JepRuntime)
+	 */
+	public void evaluate(ASTFunNode node, JepRuntime runtime)
+			throws ParseException {
+		node.childrenAccept(runtime.ev, null);
+		Geometry geom1 = (Geometry)runtime.stack.pop();
+		Geometry geom2 = (Geometry)runtime.stack.pop();
+		runtime.stack.push(intersects(geom1, geom2));
+	}
+
+	private static Boolean intersects(Geometry geom1, Geometry geom2)
+			throws ParseException {
+		try {
+//			if (!geom1.getBounds2D().intersects(geom2.getBounds2D())){
+//				return new Boolean(false);
+//			}
+			return (Boolean) geom1.invokeOperation(
+					org.gvsig.fmap.geom.operation.relationship.Intersects.CODE,
+					new DefaultRelationshipGeometryOperationContext(geom2));
+		} catch (GeometryOperationNotSupportedException e) {
+			throw new ParseException(NAME, e);
+		} catch (GeometryOperationException e) {
+			throw new ParseException(NAME, e);
+		}
+	}
+
+}

Property changes on: tags/v2_0_0_Build_2047/libraries/libEvaluator_SQLJEP/src/org/gvsig/tools/evaluator/sqljep/function/Intersects.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tags/v2_0_0_Build_2047/libraries/libEvaluator_SQLJEP/src/org/gvsig/tools/evaluator/sqljep/function/Equals.java
===================================================================
--- tags/v2_0_0_Build_2047/libraries/libEvaluator_SQLJEP/src/org/gvsig/tools/evaluator/sqljep/function/Equals.java	(revision 0)
+++ tags/v2_0_0_Build_2047/libraries/libEvaluator_SQLJEP/src/org/gvsig/tools/evaluator/sqljep/function/Equals.java	(revision 38282)
@@ -0,0 +1,73 @@
+/* gvSIG. Geographic Information System of the Valencian Government
+*
+* Copyright (C) 2007-2008 Infrastructures and Transports Department
+* of the Valencian Government (CIT)
+*
+* This program is free software; you can redistribute it and/or
+* modify it under the terms of the GNU General Public License
+* as published by the Free Software Foundation; either version 2
+* of the License, or (at your option) any later version.
+*
+* This program is distributed in the hope that it will be useful,
+* but WITHOUT ANY WARRANTY; without even the implied warranty of
+* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+* GNU General Public License for more details.
+*
+* You should have received a copy of the GNU General Public License
+* along with this program; if not, write to the Free Software
+* Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
+* MA  02110-1301, USA.
+*
+*/
+
+/*
+* AUTHORS (In addition to CIT):
+* 2008 IVER T.I   {{Task}}
+*/
+
+/**
+ *
+ */
+package org.gvsig.tools.evaluator.sqljep.function;
+
+import org.gvsig.fmap.geom.Geometry;
+import org.medfoster.sqljep.ASTFunNode;
+import org.medfoster.sqljep.JepRuntime;
+import org.medfoster.sqljep.ParseException;
+import org.medfoster.sqljep.function.PostfixCommand;
+
+/**
+ * @author jmvivo
+ *
+ */
+public class Equals extends PostfixCommand {
+
+	public static final String NAME = "equals";
+	
+	final public int getNumberOfParameters() {
+		return 2;
+	}
+	/* (non-Javadoc)
+	 * @see org.medfoster.sqljep.function.PostfixCommand#evaluate(org.medfoster.sqljep.ASTFunNode, org.medfoster.sqljep.JepRuntime)
+	 */
+	public void evaluate(ASTFunNode node, JepRuntime runtime)
+			throws ParseException {
+		node.childrenAccept(runtime.ev, null);
+		Comparable param2 = (Comparable)runtime.stack.pop();
+		Comparable param1 = (Comparable)runtime.stack.pop();
+		if (param1 == null || param2 == null) {
+			runtime.stack.push(Boolean.FALSE);
+		} else if ((param1 instanceof Geometry)
+				&& (param2 instanceof Geometry)) {
+			runtime.stack.push(new Boolean(isEquals((Geometry)param1, (Geometry)param2)));
+		} else{
+			runtime.stack.push(new Boolean(param1.equals(param2)));
+		}
+	}
+
+	private static boolean isEquals(Geometry g1, Geometry g2) throws ParseException {
+		return (g1.equals(g2));
+	}
+
+}
+

Property changes on: tags/v2_0_0_Build_2047/libraries/libEvaluator_SQLJEP/src/org/gvsig/tools/evaluator/sqljep/function/Equals.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tags/v2_0_0_Build_2047/libraries/libEvaluator_SQLJEP/src/org/gvsig/tools/evaluator/sqljep/SQLJEPEvaluator.java
===================================================================
--- tags/v2_0_0_Build_2047/libraries/libEvaluator_SQLJEP/src/org/gvsig/tools/evaluator/sqljep/SQLJEPEvaluator.java	(revision 0)
+++ tags/v2_0_0_Build_2047/libraries/libEvaluator_SQLJEP/src/org/gvsig/tools/evaluator/sqljep/SQLJEPEvaluator.java	(revision 38282)
@@ -0,0 +1,99 @@
+package org.gvsig.tools.evaluator.sqljep;
+
+import java.util.Map;
+import java.util.Map.Entry;
+
+import org.gvsig.tools.evaluator.Evaluator;
+import org.gvsig.tools.evaluator.EvaluatorData;
+import org.gvsig.tools.evaluator.EvaluatorFieldValue;
+import org.gvsig.tools.evaluator.EvaluatorFieldsInfo;
+import org.medfoster.sqljep.BaseJEP;
+import org.medfoster.sqljep.ParseException;
+
+public class SQLJEPEvaluator extends BaseJEP implements Evaluator {
+
+	private String expresion;
+	private EvaluatorData data;
+	private boolean not_parsed;
+
+	public SQLJEPEvaluator(String expresion) {
+		super(expresion);
+		this.expresion = expresion;
+		this.data = null;
+		not_parsed = true;
+	}
+
+	public String getName() {
+		return "SQLJEP(" + expresion + ")";
+	}
+
+	public String getSQL() {
+		return expresion;
+	}
+
+	public String getDescription() {
+		return null;
+	}
+
+	public EvaluatorFieldValue[] getFieldValues(String name) {
+		return null;
+	}
+
+	public Object evaluate(EvaluatorData data) {
+		this.data = data;
+		Object value = null;
+		try {
+			if (not_parsed) {
+				this.parseExpression();
+				not_parsed = false;
+			}
+			value = this.getValue();
+		} catch (ParseException e) {
+			// TODO Auto-generated catch block
+			e.printStackTrace();
+		}
+		this.data = null;
+		return value;
+	}
+
+	public int findColumn(String name) {
+		return -1;
+	}
+
+	public Comparable getColumnObject(int arg0) throws ParseException {
+		return null;
+	}
+
+	public Entry getVariable(String name) throws ParseException {
+		return new MyEntry(name);
+	}
+
+	private class MyEntry implements Map.Entry {
+		private String key;
+
+		public MyEntry(String key) {
+			this.key = key;
+		}
+
+		public Object getKey() {
+			return this.key;
+		}
+
+		public Object getValue() {
+			if (data.hasDataValue(key)) {
+				return data.getDataValue(key);
+			}
+			return data.getDataValue(key);
+		}
+
+		public Object setValue(Object arg0) {
+			return null;
+		}
+
+	}
+
+	public EvaluatorFieldsInfo getFieldsInfo() {
+		// TODO Auto-generated method stub
+		return null;
+	}
+}

Property changes on: tags/v2_0_0_Build_2047/libraries/libEvaluator_SQLJEP/src/org/gvsig/tools/evaluator/sqljep/SQLJEPEvaluator.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tags/v2_0_0_Build_2047/libraries/libEvaluator_SQLJEP/pom.xml
===================================================================
--- tags/v2_0_0_Build_2047/libraries/libEvaluator_SQLJEP/pom.xml	(revision 0)
+++ tags/v2_0_0_Build_2047/libraries/libEvaluator_SQLJEP/pom.xml	(revision 38282)
@@ -0,0 +1,67 @@
+<?xml version="1.0" encoding="UTF-8"?>
+
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0
+                      http://maven.apache.org/maven-v4_0_0.xsd">
+
+	<modelVersion>4.0.0</modelVersion>
+	<artifactId>org.gvsig.tools.evaluator.sqljep</artifactId>
+	<name>libEvaluator_SQLJEP</name>
+	<version>2.0-SNAPSHOT</version>
+    <parent>
+        <artifactId>gvsig-base-library-pom</artifactId>
+        <groupId>org.gvsig</groupId>
+        <version>2.0-SNAPSHOT</version>
+    </parent>   
+	<properties>
+		<build-dir>${basedir}/../build</build-dir>
+        <eclipse.project.name>libEvaluator_SQLJEP</eclipse.project.name>
+	</properties>
+	<dependencies>
+		<dependency>
+			<groupId>org.gvsig</groupId>
+			<artifactId>org.gvsig.tools.lib</artifactId>
+            <scope>compile</scope>
+		</dependency>
+		<dependency>
+			<groupId>org.gvsig</groupId>
+			<artifactId>org.gvsig.fmap.geometry</artifactId>
+            <scope>compile</scope>
+		</dependency>
+		<dependency>
+			<groupId>org.gvsig</groupId>
+			<artifactId>org.gvsig.fmap.geometry</artifactId>
+			<classifier>operation</classifier>
+            <scope>compile</scope>
+		</dependency>
+        <dependency>
+            <groupId>org.slf4j</groupId>
+            <artifactId>slf4j-api</artifactId>
+            <scope>compile</scope>
+        </dependency>
+        <dependency>
+            <groupId>net.sf</groupId>
+            <artifactId>sqljep</artifactId>
+            <scope>compile</scope>
+        </dependency>
+	</dependencies>
+	<build>
+		<sourceDirectory>src</sourceDirectory>
+		<testSourceDirectory>src-test</testSourceDirectory>
+		<resources>
+			<resource>
+				<directory>${basedir}/resources</directory>
+			</resource>
+		</resources>
+        <plugins>
+            <!-- TODO: MAKE TESTS WORK AND REMOVE THIS OPTION -->
+            <plugin>
+                <groupId>org.apache.maven.plugins</groupId>
+                <artifactId>maven-surefire-plugin</artifactId>
+                <configuration>
+                    <skipTests>true</skipTests>
+                </configuration>
+            </plugin>       
+        </plugins>        
+	</build>
+</project>
\ No newline at end of file

Property changes on: tags/v2_0_0_Build_2047/libraries/libEvaluator_SQLJEP/pom.xml
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tags/v2_0_0_Build_2047/libraries/libEvaluator_SQLJEP/resources/META-INF/services/org.gvsig.tools.library.Library
===================================================================
--- tags/v2_0_0_Build_2047/libraries/libEvaluator_SQLJEP/resources/META-INF/services/org.gvsig.tools.library.Library	(revision 0)
+++ tags/v2_0_0_Build_2047/libraries/libEvaluator_SQLJEP/resources/META-INF/services/org.gvsig.tools.library.Library	(revision 38282)
@@ -0,0 +1 @@
+org.gvsig.tools.evaluator.sqljep.SQLJEPLibrary
\ No newline at end of file

Property changes on: tags/v2_0_0_Build_2047/libraries/libEvaluator_SQLJEP
___________________________________________________________________
Added: svn:ignore
   + .classpath 
.project 
.settings 
maven-eclipse.xml
target
bin
hs_err_pid*
.externalToolBuilders
.settings
.classpath
.project