Index: tags/v2_0_0_Build_2047/extensions/extHelp/extHelp/buildNumber.properties
===================================================================
--- tags/v2_0_0_Build_2047/extensions/extHelp/extHelp/buildNumber.properties	(revision 0)
+++ tags/v2_0_0_Build_2047/extensions/extHelp/extHelp/buildNumber.properties	(revision 38329)
@@ -0,0 +1,3 @@
+#maven.buildNumber.plugin properties file
+#Tue May 29 16:41:36 CEST 2012
+buildNumber=2047
Index: tags/v2_0_0_Build_2047/extensions/extHelp/extHelp/dist/gvSIG/manual-de-usuario/es/help.hs
===================================================================
--- tags/v2_0_0_Build_2047/extensions/extHelp/extHelp/dist/gvSIG/manual-de-usuario/es/help.hs	(revision 0)
+++ tags/v2_0_0_Build_2047/extensions/extHelp/extHelp/dist/gvSIG/manual-de-usuario/es/help.hs	(revision 38329)
@@ -0,0 +1,65 @@
+<?xml version='1.0' encoding='ISO-8859-1' ?>
+<!DOCTYPE helpset
+  PUBLIC "-//Sun Microsystems Inc.//DTD JavaHelp HelpSet Version 2.0//EN"
+         "../dtd/helpset_2_0.dtd">
+
+<helpset version="1.0">
+
+  <!-- title -->
+  <title>gvSIG - Ayuda en linea</title>
+
+  <!-- maps -->
+  <maps>
+     <homeID>docs.introduccion-a-gvsig.copy_of_queesgvsig.html</homeID>
+     <mapref location="map.jhm"/>
+  </maps>
+
+  <!-- views -->
+  <view>
+    <name>TOC</name>
+    <label>Tabla de contenidos</label>
+    <type>javax.help.TOCView</type>
+    <data>toc.xml</data>
+  </view>
+
+  <view>
+    <name>Index</name>
+    <label>Indice analitico</label>
+    <type>javax.help.IndexView</type>
+    <data>index.xml</data>
+  </view>
+
+  <view>
+    <name>Search</name>
+    <label>Search</label>
+    <type>javax.help.SearchView</type>
+    <data engine="com.sun.java.help.search.DefaultSearchEngine">
+      JavaHelpSearch
+    </data>
+  </view>
+
+<!--
+  <view>
+    <name>Favorites</name>
+    <label>Favoritos</label>
+    <type>javax.help.FavoritesView</type>
+  </view>
+-->
+  <presentation default="true" displayviewimages="false">
+     <name>main window</name>
+     <size width="700" height="400" />
+     <location x="200" y="200" />
+     <title>gvSIG - Ayuda en linea</title>
+     <image>toplevelfolder</image>
+     <toolbar>
+	<helpaction image="action.back">javax.help.BackAction</helpaction>
+	<helpaction image="action.forward">javax.help.ForwardAction</helpaction>
+	<helpaction>javax.help.SeparatorAction</helpaction>
+	<helpaction image="action.home">javax.help.HomeAction</helpaction>
+	<!--helpaction image="action.reload">javax.help.ReloadAction</helpaction-->
+	<helpaction>javax.help.SeparatorAction</helpaction>
+	<helpaction image="action.print">javax.help.PrintAction</helpaction>
+	<!--helpaction>javax.help.PrintSetupAction</helpaction-->
+     </toolbar>
+  </presentation>
+</helpset>
Index: tags/v2_0_0_Build_2047/extensions/extHelp/extHelp/dist/gvSIG/manual-de-usuario/es/index.xml
===================================================================
--- tags/v2_0_0_Build_2047/extensions/extHelp/extHelp/dist/gvSIG/manual-de-usuario/es/index.xml	(revision 0)
+++ tags/v2_0_0_Build_2047/extensions/extHelp/extHelp/dist/gvSIG/manual-de-usuario/es/index.xml	(revision 38329)
@@ -0,0 +1,336 @@
+<?xml version='1.0' encoding='ISO-8859-1'  ?>
+<!DOCTYPE index
+  PUBLIC "-//Sun Microsystems Inc.//DTD JavaHelp Index Version 1.0//EN"
+         "http://java.sun.com/products/javahelp/index_1_0.dtd">
+
+<index version="1.0">
+   <indexitem text=".prof extension (profile data)" target="prof.profile"/>
+   
+   <indexitem text="accelerators (keyboard), see 'keyboard commands'"/>
+   
+   <indexitem text="adding an existing portfolio" target="proj.import"/>
+   
+   <indexitem text="adding an existing project" expand="false">
+      <indexitem text="naming the project" target="proj.importdirectory"/>
+      <indexitem text="naming the storage directory" target="proj.importdirectory"/>
+      <indexitem text="procedures for" target="proj.importproject2"/>
+   </indexitem>
+   
+   <indexitem text="analyzing program performance, see 'profiler'"/>
+   
+   <indexitem text="arguments" expand="false">
+      <indexitem text="passing" target="debug.arguments"/>
+      <indexitem text="specifying" target="debug.arguments"/>
+   </indexitem>
+
+   <indexitem text="assignments (keyboard), see 'keyboard commands'"/>
+
+   <indexitem text="auto indent, source editor" target="edit.tabs"/>
+   <indexitem text="auto indent, source editor - Secondary Window" target="edit.tabs" presentationtype="javax.help.SecondaryWindow" presentationname="main"/>
+   <indexitem text="auto indent, source editor - Popup" target="edit.tabs" presentationtype="javax.help.Popup"/>
+
+   <indexitem text="background color, source editor" target="edit.syntax"/>
+
+   <indexitem text="BeanInfo file" target="proj.beansproject"/>
+
+   <indexitem text="beans" expand="false">
+      <indexitem text="adding existing sources to a bean project" target="proj.existingbeans"/>
+      <indexitem text="changing bean file status" target="proj.existingbeans"/>
+      <indexitem text="creating a bean project" target="proj.beansproject"/>
+      <indexitem text="removing existing sources from a bean project" target="proj.existingbeans"/>
+   </indexitem>
+   
+   <indexitem text="bindings (keyboard), see 'keyboard commands'"/>
+   
+   <indexitem text="break exception always" target="debug.addexception"/>
+   
+   <indexitem text="break exception on uncaught" target="debug.addexception"/>
+   
+   <indexitem text="breakpoints">
+      <indexitem text="advanced functions" target="debug.breakpoint"/>
+      <indexitem text="conditional" target="debug.conditional"/>
+      <indexitem text="list of" target="debug.breakpoint"/>
+      <indexitem text="location" target="debug.breakpoint"/>
+      <indexitem text="window" target="debug.breakpoint"/>
+   </indexitem>
+   
+   <indexitem text="browsing source code, see 'source browser'"/>
+   
+   <indexitem text="building projects">
+      <indexitem text="Build menu" target="menus.build"/>
+      <indexitem text="building projects" target="build.build"/>
+      <indexitem text="javac" target="build.build"/>
+   </indexitem>
+
+
+   <indexitem text="call stack, moving on the" target="debug.stack"/>
+
+   <indexitem text="callbacks, see `adding operations'"/>
+
+   <indexitem text="changing the current project" target="proj.changeproject"/>
+   
+   <indexitem text="changing the status of a bean file" target="proj.existingbeans"/>
+
+   <indexitem text="check in (version control)" target="version.version"/>
+
+   <indexitem text="check in new (version control)" target="version.version"/>
+
+   <indexitem text="choosing a Java compiler" target="build.compiler_pref"/>
+
+   <indexitem text="Fast Javac" target="build.compiler_pref"/>
+
+   <indexitem text="compiling a single file" target="build.compilefile"/>
+
+   <indexitem text="compiling projects" target="build.build"/>
+
+
+   <indexitem text="counted breakpoints" target="debug.counted"/>
+
+   <indexitem text="Create Project Wizard">
+      <indexitem text="adding existing sources to a bean project" target="proj.existingbeans"/>
+      <indexitem text="naming a source file location" target="proj.appletwizard"/>
+   </indexitem>
+
+   <indexitem text="creating a portfolio">
+      <indexitem text="steps for" target="proj.createportfolio"/>
+      <indexitem text="using the dialog box for" target="proj.createportfolio"/>
+   </indexitem>
+   
+   <indexitem text="Customizer file" target="proj.beansproject"/>
+   
+   <indexitem text="Debug/Browse Tab">
+      <indexitem text="editing project attributes" target="proj.editproject"/>
+      <indexitem text="output" target="debug.messages"/>
+   </indexitem>
+   
+   <indexitem text="debugging">
+      <indexitem text="-g option" target="debug.overview"/>
+      <indexitem text="evaluating expressions" target="debug.eval"/>
+      <indexitem text="prerequisites" target="debug.overview"/>
+      <indexitem text="stack frames, viewing" target="debug.viewthreads"/>
+      <indexitem text="starting" target="debug.start"/>
+      <indexitem text="window, tab" target="debug.messages"/>
+   </indexitem>
+   
+   <indexitem text="displaying a portfolio" target="proj.changeportfolio"/>
+   
+   <indexitem text="displaying a project" target="proj.changeproject"/>
+   
+   <indexitem text="editor, see 'source editor'"/>
+   
+   <indexitem text="evaluation history" target="debug.eval"/>
+   
+   <indexitem text="exceptions">
+      <indexitem text="adding" target="debug.addexception"/>
+      <indexitem text="break always" target="debug.addexception"/>
+      <indexitem text="using the window" target="debug.exceptions"/>
+      <indexitem text="window" target="debug.exceptions"/>
+   </indexitem>
+   
+   <indexitem text="expanding objects and arrays" target="debug.eval"/>
+   
+   <indexitem text="expressions">
+      <indexitem text="defined" target="debug.eval"/>
+      <indexitem text="evaluating" target="debug.eval"/>
+      <indexitem text="evaluation history" target="debug.eval"/>
+      <indexitem text="using the evaluate button" target="debug.eval"/>
+      <indexitem text="value of" target="debug.eval"/>
+   </indexitem>
+   
+   
+   
+   <indexitem text="Fast Javac compiler" target="build.compiler_pref"/>
+   
+   <indexitem text="files, storing project" target="proj.paths"/>
+   
+   <indexitem text="flags, compiler see 'compiler options'"/>
+   
+   <indexitem text="fonts, setting in source editor" target="edit.font"/>
+   
+   
+   
+   <indexitem text="generating an HTML page" target="proj.generatehtml"/>
+   <indexitem text="A Junk Entry" target="intentional.junk"/>
+   
+   
+   <indexitem text="HTML file">
+      <indexitem text="editing" target="proj.edithtml"/>
+      <indexitem text="saving" target="proj.edithtml"/>
+      <indexitem text="updating a run page URL" target="proj.edithtml"/>
+   </indexitem>
+   
+   
+   <indexitem text="ignore, exceptions list" target="debug.addexception"/>
+   
+   
+   
+   <indexitem text="JAR files">
+      <indexitem text="defined" target="proj.beansproject"/>
+   </indexitem>
+   
+   <indexitem text="JavaBeans, see 'beans'"/>
+   
+   <indexitem text="javadoc, use in class browser" target="browse.class"/>
+   
+   
+   
+   <indexitem text="line/column indicator, source editor" target="edit.controls"/>
+   
+   <indexitem text="local variables" target="debug.threads"/>
+   
+   <indexitem text="location of breakpoints" target="debug.breakpoint"/>
+   
+   <indexitem text="location, debugging" target="debug.run"/>
+   
+   
+   
+   <indexitem text="managing projects" target="proj.managertoc"/>
+   
+   <indexitem text="methods, stepping into" target="debug.step"/>
+   
+   
+   
+   <indexitem text="naming a project" target="proj.projectwizard"/>
+   
+   
+   
+   <indexitem text="opening a portfolio" target="proj.changeportfolio"/>
+   
+   <indexitem text="opening a project" target="proj.changeproject"/>
+   
+   
+   <indexitem text="package">
+     <indexitem text="creating a package project" target="proj.createpackage"/>
+     <indexitem text="editing the name" target="proj.generaldisplay"/>
+     <indexitem text="naming" target="proj.generaldisplay"/>
+   </indexitem>
+   
+   <indexitem text="passing arguments to a standalone project" target="debug.arguments"/>
+   
+   <indexitem text="performance analysis, see 'profiler'"/>
+   
+   <indexitem text="portfolios">
+      <indexitem text="Add Portfolio dialog box" target="proj.importportfolio"/>
+      <indexitem text="changing" target="proj.changeportfolio"/>
+      <indexitem text="Create Portfolio dialog box" target="proj.createportfolio"/>
+      <indexitem text="removing" target="proj.removeportfolio"/>
+   </indexitem>
+   
+   <indexitem text="Preferences menu" target="menus.preferences"/>
+   
+   <indexitem text="prerequisites, debugging" target="debug.overview"/>
+   
+   <indexitem text="printing profile data" target="prof.menus"/>
+   
+   <indexitem text="profiler">
+      <indexitem text="customizing data filters" target="prof.custom"/>
+   </indexitem>
+   
+   <indexitem text="Project Manager" target="proj.projectmanager"/>
+   
+   <indexitem text="project name" target="proj.generaldisplay"/>
+   
+   <indexitem text="project type" target="proj.generaldisplay"/>
+   
+   <indexitem text="projects">
+      <indexitem text="contents" target="proj.managertoc"/>
+      <indexitem text="copying an added project" target="proj.importwizard"/>
+      <indexitem text="manager" target="proj.projectmanager"/>
+      <indexitem text="using the project manager" target="proj.projectmanager"/>
+   </indexitem>
+   
+   
+   <indexitem text="quitting debugging" target="debug.enddebug"/>
+   
+   
+   <indexitem text="RCS (version control)" target="version.version"/>
+   
+   <indexitem text="referencing an added project" target="proj.importwizard"/>
+   
+   <indexitem text="remote debugging">
+      <indexitem text="agent password" target="debug.remotedebug"/>
+      <indexitem text="classpaths" target="debug.remotedebug"/>
+      <indexitem text="network connection" target="debug.remotedebug"/>
+      <indexitem text="password" target="debug.remotedebug"/>
+   </indexitem>
+   
+   <indexitem text="removing a portfolio" target="proj.removeportfolio"/>
+   
+   <indexitem text="removing a project" target="proj.removeproject"/>
+      
+   <indexitem text="replacing text, source editor" target="edit.replace"/>
+   
+   <indexitem text="requirements, debugging" target="debug.overview"/>
+   
+   <indexitem text="running a program to collect profile data" target="prof.profile"/>
+   
+   <indexitem text="running a project" target="proj.run"/>
+   
+   <indexitem text="running to a specific location" target="proj.run"/>
+   
+   
+   
+   <indexitem text="saving an HTML file" target="proj.edithtml"/>
+   
+   <indexitem text="SCCS (version control)" target="version.version"/>
+   
+   <indexitem text="shortcuts (keyboard), see 'keyboard commands'"/>
+   
+   <indexitem text="showing the stack frame source" target="debug.source"/>
+      
+   <indexitem text="source browser">
+      <indexitem text="Browse menu" target="menus.browse"/>
+      <indexitem text="browsing class files" target="browse.class"/>
+      <indexitem text="javadoc, use in class browser" target="browse.class"/>
+      <indexitem text="strings, searching for in source code" target="browse.strings"/>
+   </indexitem>
+   
+   <indexitem text="source directory" target="proj.generaldisplay"/>
+   
+   <indexitem text="standalone project">
+      <indexitem text="creating" target="proj.createstandalone"/>
+      <indexitem text="running" target="proj.run"/>
+      <indexitem text="specifying program arguments" target="debug.arguments"/>
+   </indexitem>
+   
+   <indexitem text="starting debugging" target="debug.start"/>
+   
+   <indexitem text="starting over, debugging" target="debug.startover"/>
+   
+   <indexitem text="subprojects, creating" target="proj.nestedprojects"/>
+   
+   <indexitem text="subprojects, defined" target="proj.projects"/>
+   
+   <indexitem text="tabs, see 'component palette'"/>
+   
+   <indexitem text="threads">
+      <indexitem text="data values" target="debug.variables"/>
+      <indexitem text="evaluating data values" target="debug.variables"/>
+      <indexitem text="variables, defined" target="debug.threads"/>
+      <indexitem text="viewing threads" target="debug.viewthreads"/>
+   </indexitem>
+   
+   <indexitem text="using the debugger" target="debug.overview"/>
+   
+   <indexitem text="using the Exceptions Window" target="debug.exceptions"/>
+   
+   <indexitem text="defined" target="debug.eval"/>
+   
+   <indexitem text="evaluating" target="debug.eval"/>
+   
+   <indexitem text="viewing" target="debug.threads"/>
+   
+   <indexitem text="version control">
+      <indexitem text="check in" target="version.version"/>
+      <indexitem text="check in new" target="version.version"/>
+      <indexitem text="uncheckout" target="version.version"/>
+   </indexitem>
+   
+   <indexitem text="viewing stack frames" target="debug.viewthreads"/>
+   
+
+   <indexitem text="Windows menu" target="menus.windows"/>
+
+
+</index>
+
Index: tags/v2_0_0_Build_2047/extensions/extHelp/extHelp/dist/gvSIG/manual-de-usuario/es/icons/go-home.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tags/v2_0_0_Build_2047/extensions/extHelp/extHelp/dist/gvSIG/manual-de-usuario/es/icons/go-home.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: tags/v2_0_0_Build_2047/extensions/extHelp/extHelp/dist/gvSIG/manual-de-usuario/es/icons/go-previous.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tags/v2_0_0_Build_2047/extensions/extHelp/extHelp/dist/gvSIG/manual-de-usuario/es/icons/go-previous.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: tags/v2_0_0_Build_2047/extensions/extHelp/extHelp/dist/gvSIG/manual-de-usuario/es/icons/go-next.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tags/v2_0_0_Build_2047/extensions/extHelp/extHelp/dist/gvSIG/manual-de-usuario/es/icons/go-next.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: tags/v2_0_0_Build_2047/extensions/extHelp/extHelp/dist/gvSIG/manual-de-usuario/es/icons/view-refresh.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tags/v2_0_0_Build_2047/extensions/extHelp/extHelp/dist/gvSIG/manual-de-usuario/es/icons/view-refresh.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: tags/v2_0_0_Build_2047/extensions/extHelp/extHelp/dist/gvSIG/manual-de-usuario/es/icons/document-print.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tags/v2_0_0_Build_2047/extensions/extHelp/extHelp/dist/gvSIG/manual-de-usuario/es/icons/document-print.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: tags/v2_0_0_Build_2047/extensions/extHelp/extHelp/dist/gvSIG/end.add
===================================================================
--- tags/v2_0_0_Build_2047/extensions/extHelp/extHelp/dist/gvSIG/end.add	(revision 0)
+++ tags/v2_0_0_Build_2047/extensions/extHelp/extHelp/dist/gvSIG/end.add	(revision 38329)
@@ -0,0 +1,2 @@
+
+</map>
\ No newline at end of file
Index: tags/v2_0_0_Build_2047/extensions/extHelp/extHelp/dist/gvSIG/map.jhm.add
===================================================================
--- tags/v2_0_0_Build_2047/extensions/extHelp/extHelp/dist/gvSIG/map.jhm.add	(revision 0)
+++ tags/v2_0_0_Build_2047/extensions/extHelp/extHelp/dist/gvSIG/map.jhm.add	(revision 38329)
@@ -0,0 +1 @@
+  <mapID target="com.iver.cit.gvsig.project.documents.gui.ProjectWindow" url="docs/proyectos-y-documentos-propios-de-gvsig/proyectosydocumentospropios.html" />

Property changes on: tags/v2_0_0_Build_2047/extensions/extHelp/extHelp/dist/gvSIG
___________________________________________________________________
Added: svn:ignore
   + manual-de-usuario.zip


Index: tags/v2_0_0_Build_2047/extensions/extHelp/extHelp/config/about.htm
===================================================================
--- tags/v2_0_0_Build_2047/extensions/extHelp/extHelp/config/about.htm	(revision 0)
+++ tags/v2_0_0_Build_2047/extensions/extHelp/extHelp/config/about.htm	(revision 38329)
@@ -0,0 +1,21 @@
+<html>
+  <head>
+    <title>Extension 3D del programa GvSIG </title>
+    <meta content="">
+    <style></style>
+  </head>
+  <body>
+<table width="60%" border="0">
+  <tr>
+    <td width="64%"><img src="images/logo_horiz_bicolor_gva.png" width="329" height="50"></td>
+    <td width="36%"><div align="right"><img src="images/logoIver.png" width="87" height="50"></div></td>
+  </tr>
+  <tr>
+    <td colspan="2"><font face="Arial, Helvetica, sans-serif">&copy; Copyright
+      Generalitat Valenciana, IVER T.I and other contributors 2005.</font></td>
+  </tr>
+</table>
+  <h3>Extesi&oacute;n de la Aplicaci&oacute;n para el tratamiento de top&oacute;nimos del Instituto Geogr&aacute;fico Nacional</h3>
+  <p><br><br><b> Build Number: #build.number#</b></p>
+  </body>
+</html>
Index: tags/v2_0_0_Build_2047/extensions/extHelp/extHelp/config/config.xml
===================================================================
--- tags/v2_0_0_Build_2047/extensions/extHelp/extHelp/config/config.xml	(revision 0)
+++ tags/v2_0_0_Build_2047/extensions/extHelp/extHelp/config/config.xml	(revision 38329)
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<plugin-config>
+	<depends plugin-name="org.gvsig.app" />
+	<resourceBundle name="text"/>
+	<libraries library-dir="lib"/>
+	<extensions>
+		<extension class-name="org.gvsig.help.HelpExtension"
+			description=""
+			active="true"
+			priority="1">
+			<menu text="Ayuda/Ayuda"
+				position="90010"
+				action-command="Help"/>
+		</extension>		
+	</extensions>
+</plugin-config>
\ No newline at end of file
Index: tags/v2_0_0_Build_2047/extensions/extHelp/extHelp/src/org/gvsig/help/HelpExtension.java
===================================================================
--- tags/v2_0_0_Build_2047/extensions/extHelp/extHelp/src/org/gvsig/help/HelpExtension.java	(revision 0)
+++ tags/v2_0_0_Build_2047/extensions/extHelp/extHelp/src/org/gvsig/help/HelpExtension.java	(revision 38329)
@@ -0,0 +1,59 @@
+package org.gvsig.help;
+
+import java.io.File;
+
+import org.gvsig.andami.PluginServices;
+import org.gvsig.andami.help.Help;
+import org.gvsig.andami.plugins.Extension;
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
+
+
+public class HelpExtension  extends Extension {
+
+
+	private Logger log() {
+		return LoggerFactory.getLogger("org.gvsig");
+	}
+
+	public void initialize() {
+		// TODO Auto-generated method stub
+
+	}
+
+	public void execute(String actionCommand) {
+
+		// If the option pressed is help control the help panel is created.
+		if(actionCommand.equalsIgnoreCase("Help")){
+
+			Help help = Help.getHelp();	//My constructor.
+			help.show("docs.introduccion-a-gvsig.copy_of_queesgvsig.html");//Launch help panel.
+
+			return;
+		}
+	}
+
+	public boolean isEnabled() {
+		return true;
+	}
+
+	public boolean isVisible() {
+		return true;
+	}
+
+	public static String getExtensionPath() {
+		String pluginName = "org.gvsig.help";
+		PluginServices ps = PluginServices.getPluginServices(pluginName);
+		return ps.getPluginDirectory().getAbsolutePath();
+	}
+
+	@Override
+	public void postInitialize() {
+		super.postInitialize();
+		Help help = Help.getHelp();	//My constructor.
+		help.addResource(HelpExtension.getExtensionPath()+File.separator+ "gvSIG"+File.separator+"manual-de-usuario.zip");//Documentation path.
+		help.addHelp("manual-de-usuario");
+
+	}
+
+}
Index: tags/v2_0_0_Build_2047/extensions/extHelp/extHelp/pom.xml
===================================================================
--- tags/v2_0_0_Build_2047/extensions/extHelp/extHelp/pom.xml	(revision 0)
+++ tags/v2_0_0_Build_2047/extensions/extHelp/extHelp/pom.xml	(revision 38329)
@@ -0,0 +1,92 @@
+<?xml version="1.0" encoding="UTF-8"?>
+
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0
+                      http://maven.apache.org/xsd/maven-4.0.0.xsd">
+
+	<modelVersion>4.0.0</modelVersion>
+	<artifactId>org.gvsig.help</artifactId>
+	<packaging>jar</packaging>
+	<version>2.0-SNAPSHOT</version>
+	<name>Online basic help</name>
+	<description>gvSIG help extension</description>
+	<developers>
+		<developer>
+			<id>dcervera</id>
+			<name>David Cervera</name>
+			<email>dcervera@disid.com</email>
+			<roles>
+				<role>Developer</role>
+			</roles>
+		</developer>
+		<developer>
+			<id>cordinyana</id>
+			<name>Cèsar Ordiñana</name>
+			<email>cordin@disid.com</email>
+			<roles>
+				<role>Architect</role>
+				<role>Developer</role>
+			</roles>
+		</developer>
+	</developers>
+
+	<parent>
+		<groupId>org.gvsig</groupId>
+		<artifactId>gvsig-base-extension-pom</artifactId>
+		<version>2.0-SNAPSHOT</version>
+	</parent>	
+	<dependencies>
+		<dependency>
+			<groupId>org.gvsig</groupId>
+			<artifactId>org.gvsig.andami</artifactId>
+			<version>2.0-SNAPSHOT</version>
+            <scope>compile</scope>
+		</dependency>
+        <dependency>
+            <groupId>org.slf4j</groupId>
+            <artifactId>slf4j-api</artifactId>
+            <scope>compile</scope>
+        </dependency>        
+	</dependencies>
+	<properties>
+		<extension.install.dir>${gvsig.extensions.dir}/org.gvsig.help/
+		</extension.install.dir>
+		<gvsig-extension.install.dir>${gvsig.extensions.dir}/org.gvsig.app/
+		</gvsig-extension.install.dir>
+		<extension-appgvsig-lib-dir>${gvsig.extensions.dir}/org.gvsig.app/lib/
+		</extension-appgvsig-lib-dir>
+		<build-dir>${basedir}/../build</build-dir>
+		<library-dir>lib</library-dir>
+		<!--		 Path to the output directory for the distribution -->
+		<extension.install.dir-output-directory>target/
+		</extension.install.dir-output-directory>
+		<distribution-output-directory>distribution/
+		</distribution-output-directory>
+
+		<!-- Path to the file descriptor to generate the extension-->
+		<extension.install.dir-file>distribution/distribution.xml
+		</extension.install.dir-file>
+		<!-- Final name of the output directory for the distribution -->
+		<distribution-final-name>extHelp
+		</distribution-final-name>
+		<application-name>extHelp</application-name>
+		<output-dir_installers>target/installers/
+		</output-dir_installers>
+        <eclipse.project.name>extHelp</eclipse.project.name>
+        <package.info.state>alpha5</package.info.state>
+	</properties>
+	<build>
+		<sourceDirectory>src</sourceDirectory>
+		<testSourceDirectory>src-test</testSourceDirectory>
+        <plugins>
+            <!-- TODO: MAKE TESTS WORK AND REMOVE THIS OPTION -->
+            <plugin>
+                <groupId>org.apache.maven.plugins</groupId>
+                <artifactId>maven-surefire-plugin</artifactId>
+                <configuration>
+                    <skipTests>true</skipTests>
+                </configuration>
+            </plugin>       
+        </plugins>
+	</build>
+</project>
\ No newline at end of file
Index: tags/v2_0_0_Build_2047/extensions/extHelp/extHelp/build.xml
===================================================================
--- tags/v2_0_0_Build_2047/extensions/extHelp/extHelp/build.xml	(revision 0)
+++ tags/v2_0_0_Build_2047/extensions/extHelp/extHelp/build.xml	(revision 38329)
@@ -0,0 +1,54 @@
+<project name="Generar extension en Andami" default="help-documentation-zip" basedir=".">
+	<description>
+        Prepara el manual de usuario para el plugin de de Ayuda de gvSIG en Andami.
+    </description>
+	<!-- set global properties for this build -->
+	<property name="dist" location="dist-temp" />
+	<property name="plugin" value="org.gvsig.help" />
+	<property name="extension-dir" location="../build/product/gvSIG/extensiones" />
+	<property name="mydist" location="dist" />
+	<import file="../binaries/ant/utilities.xml" />
+
+	<target name="init">
+		<!-- Create the time stamp -->
+		<tstamp />
+		<!-- Create the build directory structure used by compile -->
+		<mkdir dir="${dist}" />
+	</target>
+
+	<target name="help-documentation-zip">
+
+		<!--get src="http://"
+		 	dest="${mydist}/gvSIG/manual-de-usuario.zip"
+	 	 /-->
+
+		<unzip src="${mydist}/gvSIG/manual-de-usuario.zip" dest="${mydist}/gvSIG">
+			<patternset>
+				<include name="manual-de-usuario/es/map.jhm" />
+			</patternset>
+		</unzip>
+
+		<loadfile property="add_text" srcFile="${mydist}/gvSIG/map.jhm.add" />
+		<loadfile property="end_text" srcFile="${mydist}/gvSIG/end.add" />
+
+		<property name="total" value="${add_text}${end_text}" />
+
+		<replace file="${mydist}/gvSIG/manual-de-usuario/es/map.jhm" value="${total}">
+			<replacetoken>
+				<![CDATA[</map>]]></replacetoken>
+		</replace>
+
+		<zip destfile="${dist}/gvSIG/manual-de-usuario.zip" basedir="${mydist}/gvSIG" includes="manual-de-usuario/**/**" excludes="**/*.db" update="true" />
+	</target>
+
+	<target name="move-to-andami">
+		<move todir="${extension-dir}/${plugin}/">
+			<fileset dir="${dist}" includes="**/**" />
+		</move>
+	</target>
+
+	<target name="clean">
+		<delete dir="${dist}" failonerror="no" />
+	</target>
+
+</project>
\ No newline at end of file
Index: tags/v2_0_0_Build_2047/extensions/extHelp/extHelp/distribution/distribution.xml
===================================================================
--- tags/v2_0_0_Build_2047/extensions/extHelp/extHelp/distribution/distribution.xml	(revision 0)
+++ tags/v2_0_0_Build_2047/extensions/extHelp/extHelp/distribution/distribution.xml	(revision 38329)
@@ -0,0 +1,32 @@
+<assembly>
+	<id>distribution</id>
+	<formats>
+		<format>dir</format>
+	</formats>
+	<fileSets>
+		<!-- Extructure for the extension -->
+		<fileSet>
+			<directory>config</directory>
+			<outputDirectory>${extension.install.dir.name}
+			</outputDirectory>
+		</fileSet>
+	</fileSets>
+	<files>
+		<file>
+			<source>package.info</source>
+			<outputDirectory>${extension.install.dir.name}
+			</outputDirectory>
+		</file>
+	</files>
+
+	<dependencySets>
+		<dependencySet>
+			<outputDirectory>${extension.install.dir.name}/${library-dir}
+			</outputDirectory>
+			<includes>
+				<include>org.gvsig:org.gvsig.help
+				</include>
+			</includes>
+		</dependencySet>
+	</dependencySets>
+</assembly>

Property changes on: tags/v2_0_0_Build_2047/extensions/extHelp/extHelp
___________________________________________________________________
Added: svn:ignore
   + .classpath 
.project 
.settings 
maven-eclipse.xml
target
bin
hs_err_pid*
.externalToolBuilders
.settings
.classpath
.project
package.info