Index: gvsig-standard-installer.mpi
===================================================================
--- gvsig-standard-installer.mpi	(revision 38386)
+++ gvsig-standard-installer.mpi	(revision 38387)
@@ -95,6 +95,9 @@
 InstallVersion
 {1.12.0.1400}
 
+InstallerType
+{standard}
+
 JRELinuxProvidedHome
 {<%JRELinuxProvidedParentPath%>/<%JRELinuxProvidedInstallDirName%>}
 
@@ -5975,8 +5978,6 @@
 InstallComponent 3D49F78F-C9AB-9343-7FF7-43937F3B506E -setup Install -type action -title {Install Everything} -component ExecuteAction -active Yes -parent A5804629-16FA-958E-EE7D-647CC24E45B5
 InstallComponent 080AA25D-28FD-A285-06E5-FEE568DE91F0 -setup Install -type action -title {Replace Text In File} -component ReplaceTextInFile -active Yes -parent A5804629-16FA-958E-EE7D-647CC24E45B5
 InstallComponent 18EDA188-FCE6-9532-FB35-577C11859967 -setup Install -type action -title {Move Forward} -component MoveForward -active Yes -parent A5804629-16FA-958E-EE7D-647CC24E45B5
-InstallComponent 54A9E67A-F932-CDD4-6F9A-8842AAE31ACC -setup Install -type pane -title {Install Packages} -component CustomTextPane1 -alias {Install Complements} -active Yes -parent StandardInstall
-InstallComponent BCB85F45-B1CD-C065-EBAF-282DE843D49C -setup Install -type action -title {Install addons} -component ExecuteAction -alias {Install addons} -active Yes -parent 54A9E67A-F932-CDD4-6F9A-8842AAE31ACC
 InstallComponent C31C7E84-6FAC-1AA6-243F-93BB5D6F2AE2 -setup Install -type pane -title {Setup Complete} -component SetupComplete -active Yes -parent StandardInstall
 InstallComponent 72B87294-F7B2-1240-D39D-4FACC79525BB -setup Install -type action -conditions {11570579-1FC9-694C-0CBD-BF5286FEEE8C 2D041762-8562-6901-F856-642CBF5D4B02} -title {View Readme Checkbutton} -component AddWidget -active Yes -parent C31C7E84-6FAC-1AA6-243F-93BB5D6F2AE2
 Condition 11570579-1FC9-694C-0CBD-BF5286FEEE8C -active Yes -parent 72B87294-F7B2-1240-D39D-4FACC79525BB -title {File Exists Condition} -component FileExistsCondition -TreeObject::id 11570579-1FC9-694C-0CBD-BF5286FEEE8C
@@ -6058,16 +6059,6 @@
 Condition FADA85B6-5B3C-4924-8862-CE7AA23E989C -active Yes -parent C615CE3D-026B-2F47-A326-53759D46486E -title {String Is Condition} -component StringIsCondition -TreeObject::id FADA85B6-5B3C-4924-8862-CE7AA23E989C
 Condition F01FA8CD-E8AF-2A92-16E9-2AA759676C91 -active Yes -parent C615CE3D-026B-2F47-A326-53759D46486E -title {File Exists Condition} -component FileExistsCondition -TreeObject::id F01FA8CD-E8AF-2A92-16E9-2AA759676C91
 InstallComponent 13CD08AF-ABF7-957A-643D-5EFB11CC0285 -setup Install -type actiongroup -title {Cancel Actions} -alias {Cancel Actions} -active Yes -parent ActionGroupsInstall
-InstallComponent 024B8841-A37F-119B-9E17-4128EFB1B58B -setup Install -type actiongroup -title {Install addons actions} -alias {Install addons actions} -active Yes -parent ActionGroupsInstall
-InstallComponent 02754DC9-71D4-AADA-7DDD-6D0194848120 -setup Install -type action -conditions 7D670287-273F-0090-6C50-45F648DBC348 -title {Create Install Folder} -component CreateFolder -alias {Create Install Folder} -active Yes -parent 024B8841-A37F-119B-9E17-4128EFB1B58B
-Condition 7D670287-273F-0090-6C50-45F648DBC348 -active Yes -parent 02754DC9-71D4-AADA-7DDD-6D0194848120 -title {Directory Test Condition} -component DirectoryTestCondition -TreeObject::id 7D670287-273F-0090-6C50-45F648DBC348
-InstallComponent A31B7E49-112A-8FDD-85F5-BF7BB734800D -setup Install -type action -conditions 70FC288C-A32A-C59D-8575-1321AA0F48F2 -title {Delete File} -component DeleteFile -active Yes -parent 024B8841-A37F-119B-9E17-4128EFB1B58B
-Condition 70FC288C-A32A-C59D-8575-1321AA0F48F2 -active Yes -parent A31B7E49-112A-8FDD-85F5-BF7BB734800D -title {File Exists Condition} -component FileExistsCondition -TreeObject::id 70FC288C-A32A-C59D-8575-1321AA0F48F2
-InstallComponent 13B0CFA5-2D5C-AB51-C61F-482B3ADF17BF -setup Install -type action -title {Extract Package Set} -component ExecuteScript -alias {Extract Package Set} -active Yes -parent 024B8841-A37F-119B-9E17-4128EFB1B58B
-InstallComponent 385BE7D0-EFF9-B688-FFC5-C2EAC8979C85 -setup Install -type action -conditions 954D9C20-6666-F732-3851-B5CDEFEA3759 -title {Launch addons manager not windows} -component ExecuteExternalProgram -alias {Launch addons manager not windows} -active Yes -parent 024B8841-A37F-119B-9E17-4128EFB1B58B
-Condition 954D9C20-6666-F732-3851-B5CDEFEA3759 -active Yes -parent 385BE7D0-EFF9-B688-FFC5-C2EAC8979C85 -title {Platform Condition} -component PlatformCondition -TreeObject::id 954D9C20-6666-F732-3851-B5CDEFEA3759
-InstallComponent 506E4FD1-B16E-4C30-D897-430B9853AAF3 -setup Install -type action -conditions CA6B7F07-9EA4-6E57-8D8B-D0B022BAC177 -title {Launch addons manager windows} -component ExecuteExternalProgram -alias {Launch addons manager windows} -active Yes -parent 024B8841-A37F-119B-9E17-4128EFB1B58B
-Condition CA6B7F07-9EA4-6E57-8D8B-D0B022BAC177 -active Yes -parent 506E4FD1-B16E-4C30-D897-430B9853AAF3 -title {Platform Condition} -component PlatformCondition -TreeObject::id CA6B7F07-9EA4-6E57-8D8B-D0B022BAC177
 InstallComponent 33EE3113-5C4F-F73E-DB60-5A93F3ED3841 -setup Install -type actiongroup -conditions D93FF951-4F22-E257-4566-2E3DA02B4BBC -title {Install JRE win actions} -alias {Install JRE win actions} -active Yes -parent ActionGroupsInstall
 Condition D93FF951-4F22-E257-4566-2E3DA02B4BBC -active Yes -parent 33EE3113-5C4F-F73E-DB60-5A93F3ED3841 -title {Is windows} -component PlatformCondition -TreeObject::id D93FF951-4F22-E257-4566-2E3DA02B4BBC
 InstallComponent 5440E8F0-4B75-D6D8-950D-47E922DD1339 -setup Install -type action -title {Append Running JRE Installer Text To Widget} -component AppendTextToWidget -alias {Append Running JRE Installer Text To Widget} -active Yes -parent 33EE3113-5C4F-F73E-DB60-5A93F3ED3841
@@ -6139,21 +6130,6 @@
 006FDE68-650C-14ED-87B1-D88460CE45AF,Conditions
 {2 conditions}
 
-024B8841-A37F-119B-9E17-4128EFB1B58B,Alias
-{Install addons actions}
-
-024B8841-A37F-119B-9E17-4128EFB1B58B,Conditions
-{0 conditions}
-
-02754DC9-71D4-AADA-7DDD-6D0194848120,Alias
-{Create Install Folder}
-
-02754DC9-71D4-AADA-7DDD-6D0194848120,Conditions
-{1 condition}
-
-02754DC9-71D4-AADA-7DDD-6D0194848120,FolderName
-{<%InstallDir%>/install}
-
 02868F7E-8F9B-8F05-6873-4D6757D2A873,Description,subst
 {1}
 
@@ -6447,7 +6423,7 @@
 {<%JRELinuxProvidedInstaller%>}
 
 1105917C-3734-726C-7349-F05208D9DB71,URL
-{http://gvsig-desktop.forge.osor.eu/downloads/runtimes/java1.6/jre-6u26-linux-i586.bin}
+{http://downloads.gvsig.org/download/gvsig-desktop/runtimes/java1.6/jre-6u26-linux-i586.bin}
 
 11570579-1FC9-694C-0CBD-BF5286FEEE8C,CheckCondition
 {Before Action is Executed}
@@ -6467,41 +6443,6 @@
 13970F26-5E62-E76D-E0E0-E1B56FC17FDD,SaveFiles
 {No}
 
-13B0CFA5-2D5C-AB51-C61F-482B3ADF17BF,Alias
-{Extract Package Set}
-
-13B0CFA5-2D5C-AB51-C61F-482B3ADF17BF,Conditions
-{0 conditions}
-
-13B0CFA5-2D5C-AB51-C61F-482B3ADF17BF,TclScript
-{proc extractpks { install_file folder } {
-        if { [file isfile $install_file] != 1 } {
-                puts "Can't access to file $install_file"
-                return
-        }
-        if { [file isdirectory $folder] !=1 } {
-                puts "Can't access to folder $folder"
-                return
-        }
-        set root /installkitunpackvfs
-        set already_mounted true
-        if { [file isdirectory $root] !=1 } {
-                crapvfs::mount $install_file $root
-                set already_mounted false
-        }
-
-        if { [file isfile "$root/package.gvspks"] == 1 } {
-                file copy "$root/package.gvspks" "$folder/package.gvspks"
-        }
-
-        if { $already_mounted == false } {
-                crapvfs::unmount $root
-        }
-        puts "Package set extracted to folder $folder"
-}
-
-extractpks <%Installer%> <%InstallDir%>/install}
-
 13CD08AF-ABF7-957A-643D-5EFB11CC0285,Alias
 {Cancel Actions}
 
@@ -6682,6 +6623,9 @@
 294C9E81-C21A-4227-018C-E3B8864F5643,Alias
 {Cancel Actions}
 
+294C9E81-C21A-4227-018C-E3B8864F5643,Conditions
+{0 conditions}
+
 2985DA3A-108F-092B-8AC4-1620E36B1965,Destination
 {<%InstallDir%>}
 
@@ -6868,21 +6812,6 @@
 37D8727F-784B-971D-0B25-EF453D774135,Widget
 {Text}
 
-385BE7D0-EFF9-B688-FFC5-C2EAC8979C85,Alias
-{Launch addons manager not windows}
-
-385BE7D0-EFF9-B688-FFC5-C2EAC8979C85,Conditions
-{1 condition}
-
-385BE7D0-EFF9-B688-FFC5-C2EAC8979C85,ConsoleTitle
-{<%AppName%> add-ons manager}
-
-385BE7D0-EFF9-B688-FFC5-C2EAC8979C85,ProgramCommandLine
-{<%ProgramExecutable%> --install --installURL=http://downloads.gvsig.org/download/gvsig-desktop/dists/<%Version%>/packages.gvspki  language=<%Language%>}
-
-385BE7D0-EFF9-B688-FFC5-C2EAC8979C85,WorkingDirectory
-{<%InstallDir%>}
-
 38AABCFE-B4E0-1970-3EDE-1F2C61F5EC00,String1
 {<%JRELocation%>}
 
@@ -6904,6 +6833,12 @@
 3BC0E6F6-AD13-4663-B635-933EB9E1310D,Alias
 {Install Actions}
 
+3BC0E6F6-AD13-4663-B635-933EB9E1310D,Conditions
+{0 conditions}
+
+3CE78F64-F6D9-224A-D2E6-1A4C06B4B837,Conditions
+{2 conditions}
+
 3CE78F64-F6D9-224A-D2E6-1A4C06B4B837,ShortcutDirectory
 {<%QUICK_LAUNCH%>}
 
@@ -7141,21 +7076,9 @@
 504A658B-16DC-CF0C-A098-CD36F2F9CF0D,Conditions
 {1 condition}
 
-506E4FD1-B16E-4C30-D897-430B9853AAF3,Alias
-{Launch addons manager windows}
-
-506E4FD1-B16E-4C30-D897-430B9853AAF3,Conditions
+5072BAD0-F247-D4C3-86BB-AB88567527F8,Conditions
 {1 condition}
 
-506E4FD1-B16E-4C30-D897-430B9853AAF3,ConsoleTitle
-{<%AppName%> add-ons manager}
-
-506E4FD1-B16E-4C30-D897-430B9853AAF3,ProgramCommandLine
-{<%InstallDir%>/gvsig-package-installer.exe language=<%Language%>}
-
-506E4FD1-B16E-4C30-D897-430B9853AAF3,WorkingDirectory
-{<%InstallDir%>}
-
 5072BAD0-F247-D4C3-86BB-AB88567527F8,FileName
 {<%ShortAppName%>-uninstall}
 
@@ -7225,39 +7148,9 @@
 5456E2BC-1CF2-FCC0-3328-61F0E191FAC2,TrueValue
 {No}
 
-54A9E67A-F932-CDD4-6F9A-8842AAE31ACC,Active
-{Yes}
+54EB2CDA-B1C5-9191-9840-92A6EA65EB2D,Conditions
+{2 conditions}
 
-54A9E67A-F932-CDD4-6F9A-8842AAE31ACC,Alias
-{Install Complements}
-
-54A9E67A-F932-CDD4-6F9A-8842AAE31ACC,BackButton,subst
-{1}
-
-54A9E67A-F932-CDD4-6F9A-8842AAE31ACC,CancelButton,subst
-{1}
-
-54A9E67A-F932-CDD4-6F9A-8842AAE31ACC,Caption,subst
-{1}
-
-54A9E67A-F932-CDD4-6F9A-8842AAE31ACC,Conditions
-{0 conditions}
-
-54A9E67A-F932-CDD4-6F9A-8842AAE31ACC,Message,subst
-{1}
-
-54A9E67A-F932-CDD4-6F9A-8842AAE31ACC,NextButton,subst
-{1}
-
-54A9E67A-F932-CDD4-6F9A-8842AAE31ACC,Subtitle,subst
-{1}
-
-54A9E67A-F932-CDD4-6F9A-8842AAE31ACC,Text,subst
-{1}
-
-54A9E67A-F932-CDD4-6F9A-8842AAE31ACC,Title,subst
-{1}
-
 54EB2CDA-B1C5-9191-9840-92A6EA65EB2D,ShortcutName
 {<%AppName%>}
 
@@ -7615,12 +7508,6 @@
 708C7218-6E13-D342-8142-ADF980B7C5C1,Operator
 {does not exist}
 
-70FC288C-A32A-C59D-8575-1321AA0F48F2,CheckCondition
-{Before Action is Executed}
-
-70FC288C-A32A-C59D-8575-1321AA0F48F2,Filename
-{<%InstallDir%>/install/package.gvspks}
-
 71422BA4-0E74-C986-E209-BD92016B7F33,Destination
 {<%InstallDir%>}
 
@@ -7741,15 +7628,6 @@
 795436DB-3A63-CDCC-BF73-056289EBA6BD,Name
 {Additional Geoprocessing}
 
-7D670287-273F-0090-6C50-45F648DBC348,CheckCondition
-{Before Action is Executed}
-
-7D670287-273F-0090-6C50-45F648DBC348,Directory
-{<%InstallDir%>/install}
-
-7D670287-273F-0090-6C50-45F648DBC348,Test
-{does not exist}
-
 7E4760EC-726C-9813-822E-C7DB4ADC498F,BackButton,subst
 {1}
 
@@ -8056,15 +7934,6 @@
 90DB86EE-13EB-6DED-4F6A-3F1D42FBA767,Widget
 {Text}
 
-954D9C20-6666-F732-3851-B5CDEFEA3759,CheckCondition
-{Before Action is Executed}
-
-954D9C20-6666-F732-3851-B5CDEFEA3759,Operator
-{is not}
-
-954D9C20-6666-F732-3851-B5CDEFEA3759,Platform
-{Windows}
-
 96629428-6B93-C834-24EB-60CBF06BAEB5,Conditions
 {0 conditions}
 
@@ -8170,6 +8039,9 @@
 9C9B54FA-68E6-2402-97C3-C65F1E80E190,Alias
 {Startup Actions}
 
+9C9B54FA-68E6-2402-97C3-C65F1E80E190,Conditions
+{0 conditions}
+
 9CAE8C76-08B7-F41D-68E2-DC47802CA43F,Destination
 {<%InstallDir%>}
 
@@ -8331,12 +8203,6 @@
 
 extractjrewin <%Installer%> <%JREWinProvidedParentPath%>}
 
-A31B7E49-112A-8FDD-85F5-BF7BB734800D,Conditions
-{1 condition}
-
-A31B7E49-112A-8FDD-85F5-BF7BB734800D,Files
-{<%InstallDir%>/install/package.gvspks}
-
 A388D351-A619-711B-5BD8-76B2616A1089,CheckCondition
 {Before Action is Executed}
 
@@ -8563,7 +8429,7 @@
 {<%JREWinProvidedInstaller%>}
 
 B052B934-4F6B-E78A-ED7D-CCDCC475ACD4,URL
-{http://gvsig-desktop.forge.osor.eu/downloads/runtimes/java1.6/jre-6u26-windows-i586-s.exe}
+{http://downloads.gvsig.org/download/gvsig-desktop/runtimes/java1.6/jre-6u26-windows-i586-s.exe}
 
 B0705A16-1FFA-0A5B-A065-3ABFC0A41BFC,Description,subst
 {1}
@@ -8619,6 +8485,9 @@
 B5596A3D-1144-577B-F624-E9648DACD74A,Background
 {#FFFFFF}
 
+B5596A3D-1144-577B-F624-E9648DACD74A,Conditions
+{3 conditions}
+
 B5596A3D-1144-577B-F624-E9648DACD74A,Text,subst
 {1}
 
@@ -8763,18 +8632,6 @@
 BCA2EBA3-8663-9B43-6783-EB398AADE2F5,Title,subst
 {1}
 
-BCB85F45-B1CD-C065-EBAF-282DE843D49C,Action
-{Install addons actions}
-
-BCB85F45-B1CD-C065-EBAF-282DE843D49C,Alias
-{Install addons}
-
-BCB85F45-B1CD-C065-EBAF-282DE843D49C,Conditions
-{0 conditions}
-
-BCB85F45-B1CD-C065-EBAF-282DE843D49C,ExecuteAction
-{Before Next Pane is Displayed}
-
 BD6798C8-6CFA-A022-0FF2-1DB7F228C256,Description,subst
 {1}
 
@@ -8844,6 +8701,9 @@
 C3F4194E-4509-43E6-698F-FB9350FFF533,Comment
 {Ask the user if they want to proceed with the uninstall.}
 
+C3F4194E-4509-43E6-698F-FB9350FFF533,Conditions
+{2 conditions}
+
 C5ACE394-BDED-24ED-7543-E3AE89E1E84F,Alias
 {Locate User selected JRE actions}
 
@@ -8877,12 +8737,6 @@
 C81F2143-187C-59E5-A068-4313973E90BF,ExitType
 {Finish}
 
-CA6B7F07-9EA4-6E57-8D8B-D0B022BAC177,CheckCondition
-{Before Action is Executed}
-
-CA6B7F07-9EA4-6E57-8D8B-D0B022BAC177,Platform
-{Windows}
-
 CB4BBF0A-AE33-FE58-30BA-A9AD63C68020,Comment
 {Don't display this pane in an upgrade install}
 
@@ -9384,6 +9238,9 @@
 F0B71434-2F45-2FE7-5A13-BEE4B0E49BDA,Name
 {WCS Client}
 
+F1B8769A-B5DF-A93B-E827-BF03B90235FD,Conditions
+{0 conditions}
+
 F1B8769A-B5DF-A93B-E827-BF03B90235FD,Message,subst
 {1}
 
@@ -9480,6 +9337,9 @@
 F8CDD940-8CB4-6F83-3934-22F1D4A1A2B8,Alias
 {Finish Actions}
 
+F8CDD940-8CB4-6F83-3934-22F1D4A1A2B8,Conditions
+{0 conditions}
+
 F9B1D78E-01A8-7D0C-E847-5B3D24812D6D,Alias
 {Startup Actions}
 
@@ -9856,7 +9716,7 @@
 {0755}
 
 Linux-x86,Executable
-{<%ShortAppName%>-<%Version%>-<%BuildVersion%>-devel-lin-x86-online.bin}
+{<%ShortAppName%>-<%Version%>-<%BuildVersion%>-devel-lin-x86-<%InstallerType%>.bin}
 
 Linux-x86,FallBackToConsole
 {Yes}
@@ -10129,7 +9989,7 @@
 {No}
 
 Windows,Executable
-{<%ShortAppName%>-<%Version%>-<%BuildVersion%>-devel-win-x86-online.exe}
+{<%ShortAppName%>-<%Version%>-<%BuildVersion%>-devel-win-x86-<%InstallerType%>.exe}
 
 Windows,FileDescription
 {<%AppName%> <%Version%> Setup}
@@ -10650,35 +10510,6 @@
 0A09E8FF-E3FC-93A2-4010-193F58CC0642,StatusMessage
 {Locating Java Runtime...}
 
-13B0CFA5-2D5C-AB51-C61F-482B3ADF17BF,TclScript
-{proc extractpks { install_file folder } {
-        if { [file isfile $install_file] != 1 } {
-                puts "Can't access to file $install_file"
-                return
-        }
-        if { [file isdirectory $folder] !=1 } {
-                puts "Can't access to folder $folder"
-                return
-        }
-        set root /installkitunpackvfs
-        set already_mounted true
-        if { [file isdirectory $root] !=1 } {
-                crapvfs::mount $install_file $root
-                set already_mounted false
-        }
-
-        if { [file isfile "$root/package.gvspks"] == 1 } {
-                file copy "$root/package.gvspks" "$folder/package.gvspks"
-        }
-
-        if { $already_mounted == false } {
-                crapvfs::unmount $root
-        }
-        puts "Package set extracted to folder $folder"
-}
-
-extractpks <%Installer%> <%InstallDir%>/install}
-
 27940F23-2EE5-46FC-5575-C9CE1A69A795,Text
 {<%CreateDesktopShortcutText%>}
 