Index: branches/v2_0_0_prep/extensions/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/execution/panel/SelectBundlesPanel.java
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/execution/panel/SelectBundlesPanel.java	(revision 38421)
+++ branches/v2_0_0_prep/extensions/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/execution/panel/SelectBundlesPanel.java	(revision 38422)
@@ -159,14 +159,22 @@
 		northPanel.setLayout(new GridBagLayout());
 
 		standardRadioButton.setText(swingInstallerManager
-				.getText("_standard_installation"));
+				.getText("_standard_installation") +
+				" (" +
+				swingInstallerManager.getText("_install_addons_in_gvsig_standard_dist") +
+				")");
+
 		gridBagConstraints = new GridBagConstraints();
 		gridBagConstraints.anchor = GridBagConstraints.WEST;
 		gridBagConstraints.insets = new Insets(2, 2, 2, 2);
 		northPanel.add(standardRadioButton, gridBagConstraints);
 
 		fileRadioButton.setText(swingInstallerManager
-				.getText("_installation_from_file"));
+				.getText("_installation_from_file") +
+		             " (" +
+		             swingInstallerManager.getText("_install_addons_in_gvspki_or_gvspks_file") +
+		             ")");
+
 		gridBagConstraints = new GridBagConstraints();
 		gridBagConstraints.gridx = 0;
 		gridBagConstraints.gridy = 1;
@@ -182,7 +190,11 @@
 		northPanel.add(selectFileText, gridBagConstraints);
 
 		urlRadioButton.setText(swingInstallerManager
-				.getText("_installation_from_url"));
+				.getText("_installation_from_url") +
+	             " (" +
+	             swingInstallerManager.getText("_install_addons_from_remote_repo") +
+	             ")");
+		
 		gridBagConstraints = new GridBagConstraints();
 		gridBagConstraints.gridx = 0;
 		gridBagConstraints.gridy = 3;
Index: branches/v2_0_0_prep/extensions/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/resources/org/gvsig/symbology/app/symbolinstaller/text.properties
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/resources/org/gvsig/symbology/app/symbolinstaller/text.properties	(revision 38421)
+++ branches/v2_0_0_prep/extensions/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/resources/org/gvsig/symbology/app/symbolinstaller/text.properties	(revision 38422)
@@ -98,4 +98,7 @@
 _select_installation_source=Selecciona fuente de instalación
 _select_installation_mode=Selecciona modo de instalación
 _gvSIG_packages_and_packages_and_index_sets=Paquetes gvSIG y sets de paquetes y índices
-_broken_package=Paquete roto
\ No newline at end of file
+_broken_package=Paquete roto
+_install_addons_in_gvsig_standard_dist=instalar complementos incluidos en la distribución gvSIG standard
+_install_addons_in_gvspki_or_gvspks_file=instalar complementos contenidos en un archivo .gvspki o .gvspks
+_install_addons_from_remote_repo=instalar complementos desde un repositorio remoto
Index: branches/v2_0_0_prep/extensions/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/resources/org/gvsig/symbology/app/symbolinstaller/text_en.properties
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/resources/org/gvsig/symbology/app/symbolinstaller/text_en.properties	(revision 38421)
+++ branches/v2_0_0_prep/extensions/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/resources/org/gvsig/symbology/app/symbolinstaller/text_en.properties	(revision 38422)
@@ -98,4 +98,7 @@
 _select_installation_source=Select installation source
 _select_installation_mode=Select installation mode
 _gvSIG_packages_and_packages_and_index_sets=gvSIG packages and packages and index sets
-_broken_package=Broken package
\ No newline at end of file
+_broken_package=Broken package
+_install_addons_in_gvsig_standard_dist=install addons contained in the gvSIG standard distribution
+_install_addons_in_gvspki_or_gvspks_file=install addons contained in a .gvspki or .gvspks file
+_install_addons_from_remote_repo=install addons from a remote repository
\ No newline at end of file