Index: gvsig-standard-installer.mpi
===================================================================
--- gvsig-standard-installer.mpi	(revision 38454)
+++ gvsig-standard-installer.mpi	(revision 38455)
@@ -2820,6 +2820,16 @@
 File ::6878A907-B91D-DE25-4D15-3773BE6C228C -name ico-gvSIG.png -parent 1B718456-0AF4-8BDF-A1ED-E17D27781AD8
 File ::8F7AD1A2-ECEE-7A48-2804-A0E220CE8FDB -type dir -name i18n -parent 1B718456-0AF4-8BDF-A1ED-E17D27781AD8
 File ::E548085E-94D5-4C1E-8298-F9652E45903D -name gvsig-package-installer.l4j.ini -active 0 -parent 1B718456-0AF4-8BDF-A1ED-E17D27781AD8
+File ::CEBEE042-ADE9-467A-9681-467D853E6316 -name crsjniproj2.0.1.dll -active 0 -parent 1B718456-0AF4-8BDF-A1ED-E17D27781AD8
+File ::72E78398-8E1D-4AAC-A97D-3682E68C7491 -name gvsig-desktop-devel.exe -active 0 -parent 1B718456-0AF4-8BDF-A1ED-E17D27781AD8
+File ::D871C6F9-70B6-4532-9619-88847E72C8E3 -name hs_err_pid5156.log -active 0 -parent 1B718456-0AF4-8BDF-A1ED-E17D27781AD8
+File ::AAC6C0A9-DC38-4941-9A0A-3B6B19D1B429 -name Microsoft.VC80.CRT.manifest -active 0 -parent 1B718456-0AF4-8BDF-A1ED-E17D27781AD8
+File ::618939C5-A5CC-4F75-B915-EA43E342BEF8 -name msvcm80.dll -active 0 -parent 1B718456-0AF4-8BDF-A1ED-E17D27781AD8
+File ::60AE9FDD-0818-4509-8A75-7BF19C160C33 -name msvcp71.dll -active 0 -parent 1B718456-0AF4-8BDF-A1ED-E17D27781AD8
+File ::5D4803FF-CAB1-41E6-84A2-E04E5D8E7947 -name msvcp80.dll -active 0 -parent 1B718456-0AF4-8BDF-A1ED-E17D27781AD8
+File ::58181627-59FE-4392-B758-6DCD1A77218A -name msvcr71.dll -active 0 -parent 1B718456-0AF4-8BDF-A1ED-E17D27781AD8
+File ::18AAAC04-70C1-40DF-A5B3-18A0293492CA -name msvcr80.dll -active 0 -parent 1B718456-0AF4-8BDF-A1ED-E17D27781AD8
+File ::D73A4769-DF6F-49C7-BBA8-5F95641AF5A7 -name README-visualcppredist-2008.txt -active 0 -parent 1B718456-0AF4-8BDF-A1ED-E17D27781AD8
 FileGroup ::3FCCA384-2783-D981-2506-3A9F5DBE3E9B -setup Install -active Yes -platforms {Linux-x86 Linux-x86_64 TarArchive} -name {Linux i386} -parent FileGroups
 File ::F354386B-F812-1B20-D9C2-B49AD74BCD22 -type dir -directory <%InstallDir%> -name /home/cordin/projects/gvsig/svn/gvSIG-2.0-build/build/product -location <%BaseDir%> -parent 3FCCA384-2783-D981-2506-3A9F5DBE3E9B
 File ::794D7515-B909-9206-87C5-42A46B461651 -name build.xml -active 0 -parent F354386B-F812-1B20-D9C2-B49AD74BCD22
@@ -4712,6 +4722,7 @@
 File ::AAC0B8F8-8761-F1F4-54FA-68FC297F6716 -name libNCSEcwC.so.0 -active 0 -parent 375EF5E0-D7F9-A578-335D-8D4452161FF8
 File ::AB9FC7F3-4D6B-837C-1BA9-26F29D3EDA4F -name libNCSUtil.so -active 0 -parent 375EF5E0-D7F9-A578-335D-8D4452161FF8
 File ::49A99DAF-B5E9-4D5A-CB34-588D72A5F8A7 -name libNCSUtil.so.0 -active 0 -parent 375EF5E0-D7F9-A578-335D-8D4452161FF8
+File ::2039B00F-F0FC-4221-B983-FBFABD63BE10 -name libcrsjniproj2.0.1.so -parent 375EF5E0-D7F9-A578-335D-8D4452161FF8
 File ::224B4E86-1E17-FE44-53C7-DB2F437E310B -name NCSUtil.dll -active 0 -parent F354386B-F812-1B20-D9C2-B49AD74BCD22
 File ::B7A16B4E-7E88-9C0D-7AD8-A101A72D8063 -name NCSEcwC.dll -active 0 -parent F354386B-F812-1B20-D9C2-B49AD74BCD22
 File ::622950D2-3438-5659-4788-2E20D8C885DF -name NCScnet.dll -active 0 -parent F354386B-F812-1B20-D9C2-B49AD74BCD22
@@ -4720,6 +4731,16 @@
 File ::3FBAFA7F-6474-D3D0-3DBB-E398DC8C7116 -name ico-gvSIG.png -active 0 -parent F354386B-F812-1B20-D9C2-B49AD74BCD22
 File ::E2171CFF-ECF6-2285-6135-888B7AA9D0C7 -type dir -name i18n -active 0 -parent F354386B-F812-1B20-D9C2-B49AD74BCD22
 File ::9770E67A-AC2E-45D7-95AD-D14705CF0053 -name gvsig-package-installer.l4j.ini -active 0 -parent F354386B-F812-1B20-D9C2-B49AD74BCD22
+File ::7BAB1E71-1EFC-485D-AC10-031607FC7C29 -name crsjniproj2.0.1.dll -active 0 -parent F354386B-F812-1B20-D9C2-B49AD74BCD22
+File ::9C37A19C-E60C-44FA-B324-6916149D6EC6 -name gvsig-desktop-devel.exe -active 0 -parent F354386B-F812-1B20-D9C2-B49AD74BCD22
+File ::68408F0D-6839-4515-8476-1F257A850F5E -name hs_err_pid5156.log -active 0 -parent F354386B-F812-1B20-D9C2-B49AD74BCD22
+File ::0B7A9FCC-3FF8-4A95-ADD9-3F9918FE978C -name Microsoft.VC80.CRT.manifest -active 0 -parent F354386B-F812-1B20-D9C2-B49AD74BCD22
+File ::AF746AEA-BDDE-4AEB-97DE-C5173B27CDB2 -name msvcm80.dll -active 0 -parent F354386B-F812-1B20-D9C2-B49AD74BCD22
+File ::8A376C9E-A32E-4A85-8D55-17C6727E9003 -name msvcp71.dll -active 0 -parent F354386B-F812-1B20-D9C2-B49AD74BCD22
+File ::2BB93B39-EDA2-4D97-BA95-4822BE8767AD -name msvcp80.dll -active 0 -parent F354386B-F812-1B20-D9C2-B49AD74BCD22
+File ::B7E6438A-F4D0-421C-967C-987BB605E98B -name msvcr71.dll -active 0 -parent F354386B-F812-1B20-D9C2-B49AD74BCD22
+File ::0738DA4C-B91B-4350-82A4-C043D8859791 -name msvcr80.dll -active 0 -parent F354386B-F812-1B20-D9C2-B49AD74BCD22
+File ::BE88123F-6BB5-456F-BBDF-BF0BAD3CD83A -name README-visualcppredist-2008.txt -active 0 -parent F354386B-F812-1B20-D9C2-B49AD74BCD22
 FileGroup ::F3B4EEE1-118B-7F0B-FC8A-1BD5B7F8AD6D -setup Install -active Yes -platforms {Windows ZipArchive} -name {Windows i386} -parent FileGroups
 File ::D5CF40F1-DF9D-1E2D-FBFC-DFFA740AF249 -type dir -directory <%InstallDir%> -name /home/cordin/projects/gvsig/svn/gvSIG-2.0-build/build/product -location <%BaseDir%> -parent F3B4EEE1-118B-7F0B-FC8A-1BD5B7F8AD6D
 File ::746632FC-C774-CC87-01EA-75B65EB0F2D7 -name build.xml -active 0 -parent D5CF40F1-DF9D-1E2D-FBFC-DFFA740AF249
@@ -6584,6 +6605,16 @@
 File ::C55170CF-0124-CFFA-E853-3BC360732CCA -name ico-gvSIG.png -active 0 -parent D5CF40F1-DF9D-1E2D-FBFC-DFFA740AF249
 File ::1B33D2F3-A54C-9002-184F-72822D9C3E71 -type dir -name i18n -active 0 -parent D5CF40F1-DF9D-1E2D-FBFC-DFFA740AF249
 File ::EE38D55C-FF56-4100-A989-98A720C91393 -name gvsig-package-installer.l4j.ini -parent D5CF40F1-DF9D-1E2D-FBFC-DFFA740AF249
+File ::3B2A0F77-9C3A-4B84-AF9C-D9CA54715856 -name crsjniproj2.0.1.dll -parent D5CF40F1-DF9D-1E2D-FBFC-DFFA740AF249
+File ::81B7C17B-08BE-4AB6-98C9-9A5A2DE1484C -name gvsig-desktop-devel.exe -parent D5CF40F1-DF9D-1E2D-FBFC-DFFA740AF249
+File ::10D5C24B-39D4-4E3F-AB23-99BC6F84F566 -name hs_err_pid5156.log -active 0 -parent D5CF40F1-DF9D-1E2D-FBFC-DFFA740AF249
+File ::222EB0EE-17D3-4F10-9F2B-81E73295B1D6 -name Microsoft.VC80.CRT.manifest -parent D5CF40F1-DF9D-1E2D-FBFC-DFFA740AF249
+File ::3803C6AD-C9D1-4D12-BB9B-D5E7BEBE6AAC -name msvcm80.dll -parent D5CF40F1-DF9D-1E2D-FBFC-DFFA740AF249
+File ::A60531B9-9EFE-48BA-B3BA-5348C52759DE -name msvcp71.dll -parent D5CF40F1-DF9D-1E2D-FBFC-DFFA740AF249
+File ::B01F8BCF-E5D3-4681-9A8F-DBE8389F3B14 -name msvcp80.dll -parent D5CF40F1-DF9D-1E2D-FBFC-DFFA740AF249
+File ::6AC58038-A390-4901-8D0B-63D4AF86E9B9 -name msvcr71.dll -parent D5CF40F1-DF9D-1E2D-FBFC-DFFA740AF249
+File ::AF1567F8-A9F0-40CC-B9F3-934EB4DD8F32 -name msvcr80.dll -parent D5CF40F1-DF9D-1E2D-FBFC-DFFA740AF249
+File ::2B27D9EF-FDFE-4505-B408-5F8163C3BD6E -name README-visualcppredist-2008.txt -parent D5CF40F1-DF9D-1E2D-FBFC-DFFA740AF249
 Component ::EE918467-993A-9E94-31D7-B8C02C46EE4A -setup Install -active Yes -platforms {AIX-ppc FreeBSD-4-x86 FreeBSD-5-x86 FreeBSD-6-x86 FreeBSD-7-x86 HPUX-hppa Linux-x86 Linux-x86_64 Solaris-sparc Solaris-x86 Windows} -name {gvSIG core} -parent Components
 SetupType ::986E6738-F9BC-9444-D665-C6F52970C695 -setup Install -active Yes -platforms {AIX-ppc FreeBSD-4-x86 FreeBSD-5-x86 FreeBSD-6-x86 FreeBSD-7-x86 HPUX-hppa Linux-x86 Linux-x86_64 Solaris-sparc Solaris-x86 Windows} -name Typical -parent SetupTypes
 SetupType ::A9030D89-64CC-E238-4A51-A3EA100D595B -setup Install -active Yes -platforms {AIX-ppc FreeBSD-4-x86 FreeBSD-5-x86 FreeBSD-6-x86 FreeBSD-7-x86 HPUX-hppa Linux-x86 Linux-x86_64 Solaris-sparc Solaris-x86 Windows} -name Custom -parent SetupTypes