Index: branches/v2_0_0_prep/extensions/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/resources/org/gvsig/symbology/app/symbolinstaller/text.properties
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/resources/org/gvsig/symbology/app/symbolinstaller/text.properties	(revision 38514)
+++ branches/v2_0_0_prep/extensions/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/resources/org/gvsig/symbology/app/symbolinstaller/text.properties	(revision 38515)
@@ -44,7 +44,7 @@
 _the_selected_file_does_not_exist=El archivo seleccionado no existe.
 _execute_adding_error=Error al añadir
 _progress=Progreso
-_select_plugins=Selecciona plugins
+_select_plugins=Selecciona paquetes
 _There_are_no_packages_in_typical_installation_to_select=No hay paquetes en la instalación típica para seleccionar
 _do_you_want_to_continue=¿Desea continuar?
 _do_you_want_to_continue_anyway=¿Desea continuar de todas formas?
@@ -104,3 +104,4 @@
 _install_addons_from_remote_repo=instalar complementos desde un repositorio remoto
 _These_packages_not_downloaded=No se han podido descargar estos paquetes
 _gvSIG_must_be_restarted_to_have_changes_applied=Es necesario reiniciar gvSIG para que los cambios tengan efecto 
+_All=Todos
\ No newline at end of file
Index: branches/v2_0_0_prep/extensions/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/resources/org/gvsig/symbology/app/symbolinstaller/text_en.properties
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/resources/org/gvsig/symbology/app/symbolinstaller/text_en.properties	(revision 38514)
+++ branches/v2_0_0_prep/extensions/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/resources/org/gvsig/symbology/app/symbolinstaller/text_en.properties	(revision 38515)
@@ -37,7 +37,7 @@
 _downloading=Downloading
 _start_download=Start download
 _progress=Progress
-_select_plugins=Select plugins
+_select_plugins=Select packages
 _There_are_no_packages_in_typical_installation_to_select=There are no packages in typical installation to select
 _do_you_want_to_continue=Do you want to continue?
 _do_you_want_to_continue_anyway=Do you want to continue anyway?
@@ -103,4 +103,5 @@
 _install_addons_in_gvspki_or_gvspks_file=install addons contained in a .gvspki or .gvspks file
 _install_addons_from_remote_repo=install addons from a remote repository
 _These_packages_not_downloaded=Unable to download these packages
-_gvSIG_must_be_restarted_to_have_changes_applied=Changes will take effect when gvSIG is restarted
\ No newline at end of file
+_gvSIG_must_be_restarted_to_have_changes_applied=Changes will take effect when gvSIG is restarted
+_All=All
\ No newline at end of file
Index: branches/v2_0_0_prep/extensions/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/DefaultJShowRequiredPackagesAndAskContinuePanel.java
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/DefaultJShowRequiredPackagesAndAskContinuePanel.java	(revision 38514)
+++ branches/v2_0_0_prep/extensions/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/DefaultJShowRequiredPackagesAndAskContinuePanel.java	(revision 38515)
@@ -52,7 +52,7 @@
 		cancelButton.setActionCommand("cancel");
 		cancelButton.addActionListener(this);
 		//
-		final JButton continueButton = new JButton("_continue");
+		final JButton continueButton = new JButton(manager.getText("_continue"));
 		continueButton.setActionCommand("continue");
 		continueButton.addActionListener(this);
 